
-- lib IP_Integrator_Lib
library IEEE; use IEEE.STD_LOGIC_1164.ALL;
library UNISIM; use UNISIM.VCOMPONENTS.ALL; 
entity Zynq_Subsystem_imp_1GYDQKT is
  port (
    FCLK_CLK0 : out STD_LOGIC;
    M_AXI_GP0_araddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_GP0_arburst : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_arcache : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_arid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_arlen : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_arlock : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_arprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_arqos : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_arready : in STD_LOGIC;
    M_AXI_GP0_arsize : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_arvalid : out STD_LOGIC;
    M_AXI_GP0_awaddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_GP0_awburst : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_awcache : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_awid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_awlen : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_awlock : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_awprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_awqos : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_awready : in STD_LOGIC;
    M_AXI_GP0_awsize : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_awvalid : out STD_LOGIC;
    M_AXI_GP0_bid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_bready : out STD_LOGIC;
    M_AXI_GP0_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_bvalid : in STD_LOGIC;
    M_AXI_GP0_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_GP0_rid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_rlast : in STD_LOGIC;
    M_AXI_GP0_rready : out STD_LOGIC;
    M_AXI_GP0_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_rvalid : in STD_LOGIC;
    M_AXI_GP0_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_GP0_wid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_wlast : out STD_LOGIC;
    M_AXI_GP0_wready : in STD_LOGIC;
    M_AXI_GP0_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_wvalid : out STD_LOGIC;
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
end Zynq_Subsystem_imp_1GYDQKT;

architecture STRUCTURE of Zynq_Subsystem_imp_1GYDQKT is
  component design_1_processing_system7_1_0 is
  port (
    USB0_PORT_INDCTL : out STD_LOGIC_VECTOR ( 1 downto 0 );
    USB0_VBUS_PWRSELECT : out STD_LOGIC;
    USB0_VBUS_PWRFAULT : in STD_LOGIC;
    M_AXI_GP0_ARVALID : out STD_LOGIC;
    M_AXI_GP0_AWVALID : out STD_LOGIC;
    M_AXI_GP0_BREADY : out STD_LOGIC;
    M_AXI_GP0_RREADY : out STD_LOGIC;
    M_AXI_GP0_WLAST : out STD_LOGIC;
    M_AXI_GP0_WVALID : out STD_LOGIC;
    M_AXI_GP0_ARID : out STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_AWID : out STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_WID : out STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_ARBURST : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_ARLOCK : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_ARSIZE : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_AWBURST : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_AWLOCK : out STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_AWSIZE : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_ARPROT : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_AWPROT : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_GP0_ARADDR : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_GP0_AWADDR : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_GP0_WDATA : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_GP0_ARCACHE : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_ARLEN : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_ARQOS : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_AWCACHE : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_AWLEN : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_AWQOS : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_WSTRB : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_GP0_ACLK : in STD_LOGIC;
    M_AXI_GP0_ARREADY : in STD_LOGIC;
    M_AXI_GP0_AWREADY : in STD_LOGIC;
    M_AXI_GP0_BVALID : in STD_LOGIC;
    M_AXI_GP0_RLAST : in STD_LOGIC;
    M_AXI_GP0_RVALID : in STD_LOGIC;
    M_AXI_GP0_WREADY : in STD_LOGIC;
    M_AXI_GP0_BID : in STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_RID : in STD_LOGIC_VECTOR ( 11 downto 0 );
    M_AXI_GP0_BRESP : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_RRESP : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_GP0_RDATA : in STD_LOGIC_VECTOR ( 31 downto 0 );
    FCLK_CLK0 : out STD_LOGIC;
    FCLK_RESET0_N : out STD_LOGIC;
    MIO : inout STD_LOGIC_VECTOR ( 53 downto 0 );
    DDR_CAS_n : inout STD_LOGIC;
    DDR_CKE : inout STD_LOGIC;
    DDR_Clk_n : inout STD_LOGIC;
    DDR_Clk : inout STD_LOGIC;
    DDR_CS_n : inout STD_LOGIC;
    DDR_DRSTB : inout STD_LOGIC;
    DDR_ODT : inout STD_LOGIC;
    DDR_RAS_n : inout STD_LOGIC;
    DDR_WEB : inout STD_LOGIC;
    DDR_BankAddr : inout STD_LOGIC_VECTOR ( 2 downto 0 );
    DDR_Addr : inout STD_LOGIC_VECTOR ( 14 downto 0 );
    DDR_VRN : inout STD_LOGIC;
    DDR_VRP : inout STD_LOGIC;
    DDR_DM : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_DQ : inout STD_LOGIC_VECTOR ( 31 downto 0 );
    DDR_DQS_n : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    DDR_DQS : inout STD_LOGIC_VECTOR ( 3 downto 0 );
    PS_SRSTB : inout STD_LOGIC;
    PS_CLK : inout STD_LOGIC;
    PS_PORB : inout STD_LOGIC
  );
  end component design_1_processing_system7_1_0;
  component design_1_proc_sys_reset_0 is
  port (
    slowest_sync_clk : in STD_LOGIC;
    ext_reset_in : in STD_LOGIC;
    aux_reset_in : in STD_LOGIC;
    mb_debug_sys_rst : in STD_LOGIC;
    dcm_locked : in STD_LOGIC;
    mb_reset : out STD_LOGIC;
    bus_struct_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_reset : out STD_LOGIC_VECTOR ( 0 to 0 );
    interconnect_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 );
    peripheral_aresetn : out STD_LOGIC_VECTOR ( 0 to 0 )
  );
  end component design_1_proc_sys_reset_0;
  signal GND_1 : STD_LOGIC;
  signal VCC_1 : STD_LOGIC;
  signal proc_sys_reset_interconnect_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal proc_sys_reset_peripheral_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_fclk_clk0 : STD_LOGIC;
  signal processing_system7_1_fclk_reset0_n : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_ARSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_AWSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_BID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_BREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_BVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_RID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_RLAST : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_RREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_RVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_WID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_WLAST : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_WREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_WVALID : STD_LOGIC;
  signal NLW_proc_sys_reset_mb_reset_UNCONNECTED : STD_LOGIC;
  signal NLW_proc_sys_reset_bus_struct_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_proc_sys_reset_peripheral_reset_UNCONNECTED : STD_LOGIC_VECTOR ( 0 to 0 );
  signal NLW_processing_system7_1_DDR_CAS_n_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_CKE_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_CS_n_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_Clk_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_Clk_n_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_DRSTB_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_ODT_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_RAS_n_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_VRN_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_VRP_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_WEB_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_PS_CLK_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_PS_PORB_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_PS_SRSTB_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_USB0_VBUS_PWRSELECT_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_DDR_Addr_UNCONNECTED : STD_LOGIC_VECTOR ( 14 downto 0 );
  signal NLW_processing_system7_1_DDR_BankAddr_UNCONNECTED : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal NLW_processing_system7_1_DDR_DM_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_processing_system7_1_DDR_DQ_UNCONNECTED : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal NLW_processing_system7_1_DDR_DQS_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_processing_system7_1_DDR_DQS_n_UNCONNECTED : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal NLW_processing_system7_1_MIO_UNCONNECTED : STD_LOGIC_VECTOR ( 53 downto 0 );
  signal NLW_processing_system7_1_USB0_PORT_INDCTL_UNCONNECTED : STD_LOGIC_VECTOR ( 1 downto 0 );
begin
  FCLK_CLK0 <= processing_system7_1_fclk_clk0;
  M_AXI_GP0_araddr(31 downto 0) <= processing_system7_1_m_axi_gp0_ARADDR(31 downto 0);
  M_AXI_GP0_arburst(1 downto 0) <= processing_system7_1_m_axi_gp0_ARBURST(1 downto 0);
  M_AXI_GP0_arcache(3 downto 0) <= processing_system7_1_m_axi_gp0_ARCACHE(3 downto 0);
  M_AXI_GP0_arid(11 downto 0) <= processing_system7_1_m_axi_gp0_ARID(11 downto 0);
  M_AXI_GP0_arlen(3 downto 0) <= processing_system7_1_m_axi_gp0_ARLEN(3 downto 0);
  M_AXI_GP0_arlock(1 downto 0) <= processing_system7_1_m_axi_gp0_ARLOCK(1 downto 0);
  M_AXI_GP0_arprot(2 downto 0) <= processing_system7_1_m_axi_gp0_ARPROT(2 downto 0);
  M_AXI_GP0_arqos(3 downto 0) <= processing_system7_1_m_axi_gp0_ARQOS(3 downto 0);
  M_AXI_GP0_arsize(2 downto 0) <= processing_system7_1_m_axi_gp0_ARSIZE(2 downto 0);
  M_AXI_GP0_arvalid <= processing_system7_1_m_axi_gp0_ARVALID;
  M_AXI_GP0_awaddr(31 downto 0) <= processing_system7_1_m_axi_gp0_AWADDR(31 downto 0);
  M_AXI_GP0_awburst(1 downto 0) <= processing_system7_1_m_axi_gp0_AWBURST(1 downto 0);
  M_AXI_GP0_awcache(3 downto 0) <= processing_system7_1_m_axi_gp0_AWCACHE(3 downto 0);
  M_AXI_GP0_awid(11 downto 0) <= processing_system7_1_m_axi_gp0_AWID(11 downto 0);
  M_AXI_GP0_awlen(3 downto 0) <= processing_system7_1_m_axi_gp0_AWLEN(3 downto 0);
  M_AXI_GP0_awlock(1 downto 0) <= processing_system7_1_m_axi_gp0_AWLOCK(1 downto 0);
  M_AXI_GP0_awprot(2 downto 0) <= processing_system7_1_m_axi_gp0_AWPROT(2 downto 0);
  M_AXI_GP0_awqos(3 downto 0) <= processing_system7_1_m_axi_gp0_AWQOS(3 downto 0);
  M_AXI_GP0_awsize(2 downto 0) <= processing_system7_1_m_axi_gp0_AWSIZE(2 downto 0);
  M_AXI_GP0_awvalid <= processing_system7_1_m_axi_gp0_AWVALID;
  M_AXI_GP0_bready <= processing_system7_1_m_axi_gp0_BREADY;
  M_AXI_GP0_rready <= processing_system7_1_m_axi_gp0_RREADY;
  M_AXI_GP0_wdata(31 downto 0) <= processing_system7_1_m_axi_gp0_WDATA(31 downto 0);
  M_AXI_GP0_wid(11 downto 0) <= processing_system7_1_m_axi_gp0_WID(11 downto 0);
  M_AXI_GP0_wlast <= processing_system7_1_m_axi_gp0_WLAST;
  M_AXI_GP0_wstrb(3 downto 0) <= processing_system7_1_m_axi_gp0_WSTRB(3 downto 0);
  M_AXI_GP0_wvalid <= processing_system7_1_m_axi_gp0_WVALID;
  interconnect_aresetn(0) <= proc_sys_reset_interconnect_aresetn(0);
  peripheral_aresetn(0) <= proc_sys_reset_peripheral_aresetn(0);
  processing_system7_1_m_axi_gp0_ARREADY <= M_AXI_GP0_arready;
  processing_system7_1_m_axi_gp0_AWREADY <= M_AXI_GP0_awready;
  processing_system7_1_m_axi_gp0_BID(11 downto 0) <= M_AXI_GP0_bid(11 downto 0);
  processing_system7_1_m_axi_gp0_BRESP(1 downto 0) <= M_AXI_GP0_bresp(1 downto 0);
  processing_system7_1_m_axi_gp0_BVALID <= M_AXI_GP0_bvalid;
  processing_system7_1_m_axi_gp0_RDATA(31 downto 0) <= M_AXI_GP0_rdata(31 downto 0);
  processing_system7_1_m_axi_gp0_RID(11 downto 0) <= M_AXI_GP0_rid(11 downto 0);
  processing_system7_1_m_axi_gp0_RLAST <= M_AXI_GP0_rlast;
  processing_system7_1_m_axi_gp0_RRESP(1 downto 0) <= M_AXI_GP0_rresp(1 downto 0);
  processing_system7_1_m_axi_gp0_RVALID <= M_AXI_GP0_rvalid;
  processing_system7_1_m_axi_gp0_WREADY <= M_AXI_GP0_wready;
GND: unisim.vcomponents.GND
    port map (
      G => GND_1
    );
VCC: unisim.vcomponents.VCC
    port map (
      P => VCC_1
    );
proc_sys_reset: component design_1_proc_sys_reset_0
    port map (
      aux_reset_in => VCC_1,
      bus_struct_reset(0) => NLW_proc_sys_reset_bus_struct_reset_UNCONNECTED(0),
      dcm_locked => VCC_1,
      ext_reset_in => processing_system7_1_fclk_reset0_n,
      interconnect_aresetn(0) => proc_sys_reset_interconnect_aresetn(0),
      mb_debug_sys_rst => GND_1,
      mb_reset => NLW_proc_sys_reset_mb_reset_UNCONNECTED,
      peripheral_aresetn(0) => proc_sys_reset_peripheral_aresetn(0),
      peripheral_reset(0) => NLW_proc_sys_reset_peripheral_reset_UNCONNECTED(0),
      slowest_sync_clk => processing_system7_1_fclk_clk0
    );
processing_system7_1: component design_1_processing_system7_1_0
    port map (
      DDR_Addr(14 downto 0) => NLW_processing_system7_1_DDR_Addr_UNCONNECTED(14 downto 0),
      DDR_BankAddr(2 downto 0) => NLW_processing_system7_1_DDR_BankAddr_UNCONNECTED(2 downto 0),
      DDR_CAS_n => NLW_processing_system7_1_DDR_CAS_n_UNCONNECTED,
      DDR_CKE => NLW_processing_system7_1_DDR_CKE_UNCONNECTED,
      DDR_CS_n => NLW_processing_system7_1_DDR_CS_n_UNCONNECTED,
      DDR_Clk => NLW_processing_system7_1_DDR_Clk_UNCONNECTED,
      DDR_Clk_n => NLW_processing_system7_1_DDR_Clk_n_UNCONNECTED,
      DDR_DM(3 downto 0) => NLW_processing_system7_1_DDR_DM_UNCONNECTED(3 downto 0),
      DDR_DQ(31 downto 0) => NLW_processing_system7_1_DDR_DQ_UNCONNECTED(31 downto 0),
      DDR_DQS(3 downto 0) => NLW_processing_system7_1_DDR_DQS_UNCONNECTED(3 downto 0),
      DDR_DQS_n(3 downto 0) => NLW_processing_system7_1_DDR_DQS_n_UNCONNECTED(3 downto 0),
      DDR_DRSTB => NLW_processing_system7_1_DDR_DRSTB_UNCONNECTED,
      DDR_ODT => NLW_processing_system7_1_DDR_ODT_UNCONNECTED,
      DDR_RAS_n => NLW_processing_system7_1_DDR_RAS_n_UNCONNECTED,
      DDR_VRN => NLW_processing_system7_1_DDR_VRN_UNCONNECTED,
      DDR_VRP => NLW_processing_system7_1_DDR_VRP_UNCONNECTED,
      DDR_WEB => NLW_processing_system7_1_DDR_WEB_UNCONNECTED,
      FCLK_CLK0 => processing_system7_1_fclk_clk0,
      FCLK_RESET0_N => processing_system7_1_fclk_reset0_n,
      MIO(53 downto 0) => NLW_processing_system7_1_MIO_UNCONNECTED(53 downto 0),
      M_AXI_GP0_ACLK => processing_system7_1_fclk_clk0,
      M_AXI_GP0_ARADDR(31 downto 0) => processing_system7_1_m_axi_gp0_ARADDR(31 downto 0),
      M_AXI_GP0_ARBURST(1 downto 0) => processing_system7_1_m_axi_gp0_ARBURST(1 downto 0),
      M_AXI_GP0_ARCACHE(3 downto 0) => processing_system7_1_m_axi_gp0_ARCACHE(3 downto 0),
      M_AXI_GP0_ARID(11 downto 0) => processing_system7_1_m_axi_gp0_ARID(11 downto 0),
      M_AXI_GP0_ARLEN(3 downto 0) => processing_system7_1_m_axi_gp0_ARLEN(3 downto 0),
      M_AXI_GP0_ARLOCK(1 downto 0) => processing_system7_1_m_axi_gp0_ARLOCK(1 downto 0),
      M_AXI_GP0_ARPROT(2 downto 0) => processing_system7_1_m_axi_gp0_ARPROT(2 downto 0),
      M_AXI_GP0_ARQOS(3 downto 0) => processing_system7_1_m_axi_gp0_ARQOS(3 downto 0),
      M_AXI_GP0_ARREADY => processing_system7_1_m_axi_gp0_ARREADY,
      M_AXI_GP0_ARSIZE(2 downto 0) => processing_system7_1_m_axi_gp0_ARSIZE(2 downto 0),
      M_AXI_GP0_ARVALID => processing_system7_1_m_axi_gp0_ARVALID,
      M_AXI_GP0_AWADDR(31 downto 0) => processing_system7_1_m_axi_gp0_AWADDR(31 downto 0),
      M_AXI_GP0_AWBURST(1 downto 0) => processing_system7_1_m_axi_gp0_AWBURST(1 downto 0),
      M_AXI_GP0_AWCACHE(3 downto 0) => processing_system7_1_m_axi_gp0_AWCACHE(3 downto 0),
      M_AXI_GP0_AWID(11 downto 0) => processing_system7_1_m_axi_gp0_AWID(11 downto 0),
      M_AXI_GP0_AWLEN(3 downto 0) => processing_system7_1_m_axi_gp0_AWLEN(3 downto 0),
      M_AXI_GP0_AWLOCK(1 downto 0) => processing_system7_1_m_axi_gp0_AWLOCK(1 downto 0),
      M_AXI_GP0_AWPROT(2 downto 0) => processing_system7_1_m_axi_gp0_AWPROT(2 downto 0),
      M_AXI_GP0_AWQOS(3 downto 0) => processing_system7_1_m_axi_gp0_AWQOS(3 downto 0),
      M_AXI_GP0_AWREADY => processing_system7_1_m_axi_gp0_AWREADY,
      M_AXI_GP0_AWSIZE(2 downto 0) => processing_system7_1_m_axi_gp0_AWSIZE(2 downto 0),
      M_AXI_GP0_AWVALID => processing_system7_1_m_axi_gp0_AWVALID,
      M_AXI_GP0_BID(11 downto 0) => processing_system7_1_m_axi_gp0_BID(11 downto 0),
      M_AXI_GP0_BREADY => processing_system7_1_m_axi_gp0_BREADY,
      M_AXI_GP0_BRESP(1 downto 0) => processing_system7_1_m_axi_gp0_BRESP(1 downto 0),
      M_AXI_GP0_BVALID => processing_system7_1_m_axi_gp0_BVALID,
      M_AXI_GP0_RDATA(31 downto 0) => processing_system7_1_m_axi_gp0_RDATA(31 downto 0),
      M_AXI_GP0_RID(11 downto 0) => processing_system7_1_m_axi_gp0_RID(11 downto 0),
      M_AXI_GP0_RLAST => processing_system7_1_m_axi_gp0_RLAST,
      M_AXI_GP0_RREADY => processing_system7_1_m_axi_gp0_RREADY,
      M_AXI_GP0_RRESP(1 downto 0) => processing_system7_1_m_axi_gp0_RRESP(1 downto 0),
      M_AXI_GP0_RVALID => processing_system7_1_m_axi_gp0_RVALID,
      M_AXI_GP0_WDATA(31 downto 0) => processing_system7_1_m_axi_gp0_WDATA(31 downto 0),
      M_AXI_GP0_WID(11 downto 0) => processing_system7_1_m_axi_gp0_WID(11 downto 0),
      M_AXI_GP0_WLAST => processing_system7_1_m_axi_gp0_WLAST,
      M_AXI_GP0_WREADY => processing_system7_1_m_axi_gp0_WREADY,
      M_AXI_GP0_WSTRB(3 downto 0) => processing_system7_1_m_axi_gp0_WSTRB(3 downto 0),
      M_AXI_GP0_WVALID => processing_system7_1_m_axi_gp0_WVALID,
      PS_CLK => NLW_processing_system7_1_PS_CLK_UNCONNECTED,
      PS_PORB => NLW_processing_system7_1_PS_PORB_UNCONNECTED,
      PS_SRSTB => NLW_processing_system7_1_PS_SRSTB_UNCONNECTED,
      USB0_PORT_INDCTL(1 downto 0) => NLW_processing_system7_1_USB0_PORT_INDCTL_UNCONNECTED(1 downto 0),
      USB0_VBUS_PWRFAULT => GND_1,
      USB0_VBUS_PWRSELECT => NLW_processing_system7_1_USB0_VBUS_PWRSELECT_UNCONNECTED
    );
end STRUCTURE;

-- lib IP_Integrator_Lib
library IEEE; use IEEE.STD_LOGIC_1164.ALL;
library UNISIM; use UNISIM.VCOMPONENTS.ALL; 
entity m00_couplers_imp_1N1SYRA is
  port (
    M_ACLK : in STD_LOGIC;
    M_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_araddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M_AXI_arburst : out STD_LOGIC;
    M_AXI_arcache : out STD_LOGIC;
    M_AXI_arlen : out STD_LOGIC;
    M_AXI_arlock : out STD_LOGIC;
    M_AXI_arprot : out STD_LOGIC;
    M_AXI_arqos : out STD_LOGIC;
    M_AXI_arready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_arregion : out STD_LOGIC;
    M_AXI_arsize : out STD_LOGIC;
    M_AXI_arvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_awaddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M_AXI_awburst : out STD_LOGIC;
    M_AXI_awcache : out STD_LOGIC;
    M_AXI_awlen : out STD_LOGIC;
    M_AXI_awlock : out STD_LOGIC;
    M_AXI_awprot : out STD_LOGIC;
    M_AXI_awqos : out STD_LOGIC;
    M_AXI_awready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_awregion : out STD_LOGIC;
    M_AXI_awsize : out STD_LOGIC;
    M_AXI_awvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_bready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_bvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_rlast : in STD_LOGIC;
    M_AXI_rready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_rvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_wlast : out STD_LOGIC;
    M_AXI_wready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_wvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_ACLK : in STD_LOGIC;
    S_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_araddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    S_AXI_arburst : in STD_LOGIC;
    S_AXI_arcache : in STD_LOGIC;
    S_AXI_arlen : in STD_LOGIC;
    S_AXI_arlock : in STD_LOGIC;
    S_AXI_arprot : in STD_LOGIC;
    S_AXI_arqos : in STD_LOGIC;
    S_AXI_arready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_arregion : in STD_LOGIC;
    S_AXI_arsize : in STD_LOGIC;
    S_AXI_arvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_awaddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    S_AXI_awburst : in STD_LOGIC;
    S_AXI_awcache : in STD_LOGIC;
    S_AXI_awlen : in STD_LOGIC;
    S_AXI_awlock : in STD_LOGIC;
    S_AXI_awprot : in STD_LOGIC;
    S_AXI_awqos : in STD_LOGIC;
    S_AXI_awready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_awregion : in STD_LOGIC;
    S_AXI_awsize : in STD_LOGIC;
    S_AXI_awvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_bready : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_bvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_rlast : out STD_LOGIC;
    S_AXI_rready : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_rvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_wlast : in STD_LOGIC;
    S_AXI_wready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_wvalid : in STD_LOGIC_VECTOR ( 0 to 0 )
  );
end m00_couplers_imp_1N1SYRA;

architecture STRUCTURE of m00_couplers_imp_1N1SYRA is
  signal m00_couplers_to_m00_couplers_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m00_couplers_to_m00_couplers_ARBURST : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARCACHE : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARLEN : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARLOCK : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARPROT : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARQOS : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_ARREGION : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARSIZE : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m00_couplers_to_m00_couplers_AWBURST : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWCACHE : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWLEN : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWLOCK : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWPROT : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWQOS : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_AWREGION : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWSIZE : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m00_couplers_to_m00_couplers_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m00_couplers_to_m00_couplers_RLAST : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m00_couplers_to_m00_couplers_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m00_couplers_to_m00_couplers_WLAST : STD_LOGIC;
  signal m00_couplers_to_m00_couplers_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_m00_couplers_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal m00_couplers_to_m00_couplers_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
begin
  M_AXI_araddr(8 downto 0) <= m00_couplers_to_m00_couplers_ARADDR(8 downto 0);
  M_AXI_arburst <= m00_couplers_to_m00_couplers_ARBURST;
  M_AXI_arcache <= m00_couplers_to_m00_couplers_ARCACHE;
  M_AXI_arlen <= m00_couplers_to_m00_couplers_ARLEN;
  M_AXI_arlock <= m00_couplers_to_m00_couplers_ARLOCK;
  M_AXI_arprot <= m00_couplers_to_m00_couplers_ARPROT;
  M_AXI_arqos <= m00_couplers_to_m00_couplers_ARQOS;
  M_AXI_arregion <= m00_couplers_to_m00_couplers_ARREGION;
  M_AXI_arsize <= m00_couplers_to_m00_couplers_ARSIZE;
  M_AXI_arvalid(0) <= m00_couplers_to_m00_couplers_ARVALID(0);
  M_AXI_awaddr(8 downto 0) <= m00_couplers_to_m00_couplers_AWADDR(8 downto 0);
  M_AXI_awburst <= m00_couplers_to_m00_couplers_AWBURST;
  M_AXI_awcache <= m00_couplers_to_m00_couplers_AWCACHE;
  M_AXI_awlen <= m00_couplers_to_m00_couplers_AWLEN;
  M_AXI_awlock <= m00_couplers_to_m00_couplers_AWLOCK;
  M_AXI_awprot <= m00_couplers_to_m00_couplers_AWPROT;
  M_AXI_awqos <= m00_couplers_to_m00_couplers_AWQOS;
  M_AXI_awregion <= m00_couplers_to_m00_couplers_AWREGION;
  M_AXI_awsize <= m00_couplers_to_m00_couplers_AWSIZE;
  M_AXI_awvalid(0) <= m00_couplers_to_m00_couplers_AWVALID(0);
  M_AXI_bready(0) <= m00_couplers_to_m00_couplers_BREADY(0);
  M_AXI_rready(0) <= m00_couplers_to_m00_couplers_RREADY(0);
  M_AXI_wdata(31 downto 0) <= m00_couplers_to_m00_couplers_WDATA(31 downto 0);
  M_AXI_wlast <= m00_couplers_to_m00_couplers_WLAST;
  M_AXI_wstrb(3 downto 0) <= m00_couplers_to_m00_couplers_WSTRB(3 downto 0);
  M_AXI_wvalid(0) <= m00_couplers_to_m00_couplers_WVALID(0);
  S_AXI_arready(0) <= m00_couplers_to_m00_couplers_ARREADY(0);
  S_AXI_awready(0) <= m00_couplers_to_m00_couplers_AWREADY(0);
  S_AXI_bresp(1 downto 0) <= m00_couplers_to_m00_couplers_BRESP(1 downto 0);
  S_AXI_bvalid(0) <= m00_couplers_to_m00_couplers_BVALID(0);
  S_AXI_rdata(31 downto 0) <= m00_couplers_to_m00_couplers_RDATA(31 downto 0);
  S_AXI_rlast <= m00_couplers_to_m00_couplers_RLAST;
  S_AXI_rresp(1 downto 0) <= m00_couplers_to_m00_couplers_RRESP(1 downto 0);
  S_AXI_rvalid(0) <= m00_couplers_to_m00_couplers_RVALID(0);
  S_AXI_wready(0) <= m00_couplers_to_m00_couplers_WREADY(0);
  m00_couplers_to_m00_couplers_ARADDR(8 downto 0) <= S_AXI_araddr(8 downto 0);
  m00_couplers_to_m00_couplers_ARBURST <= S_AXI_arburst;
  m00_couplers_to_m00_couplers_ARCACHE <= S_AXI_arcache;
  m00_couplers_to_m00_couplers_ARLEN <= S_AXI_arlen;
  m00_couplers_to_m00_couplers_ARLOCK <= S_AXI_arlock;
  m00_couplers_to_m00_couplers_ARPROT <= S_AXI_arprot;
  m00_couplers_to_m00_couplers_ARQOS <= S_AXI_arqos;
  m00_couplers_to_m00_couplers_ARREADY(0) <= M_AXI_arready(0);
  m00_couplers_to_m00_couplers_ARREGION <= S_AXI_arregion;
  m00_couplers_to_m00_couplers_ARSIZE <= S_AXI_arsize;
  m00_couplers_to_m00_couplers_ARVALID(0) <= S_AXI_arvalid(0);
  m00_couplers_to_m00_couplers_AWADDR(8 downto 0) <= S_AXI_awaddr(8 downto 0);
  m00_couplers_to_m00_couplers_AWBURST <= S_AXI_awburst;
  m00_couplers_to_m00_couplers_AWCACHE <= S_AXI_awcache;
  m00_couplers_to_m00_couplers_AWLEN <= S_AXI_awlen;
  m00_couplers_to_m00_couplers_AWLOCK <= S_AXI_awlock;
  m00_couplers_to_m00_couplers_AWPROT <= S_AXI_awprot;
  m00_couplers_to_m00_couplers_AWQOS <= S_AXI_awqos;
  m00_couplers_to_m00_couplers_AWREADY(0) <= M_AXI_awready(0);
  m00_couplers_to_m00_couplers_AWREGION <= S_AXI_awregion;
  m00_couplers_to_m00_couplers_AWSIZE <= S_AXI_awsize;
  m00_couplers_to_m00_couplers_AWVALID(0) <= S_AXI_awvalid(0);
  m00_couplers_to_m00_couplers_BREADY(0) <= S_AXI_bready(0);
  m00_couplers_to_m00_couplers_BRESP(1 downto 0) <= M_AXI_bresp(1 downto 0);
  m00_couplers_to_m00_couplers_BVALID(0) <= M_AXI_bvalid(0);
  m00_couplers_to_m00_couplers_RDATA(31 downto 0) <= M_AXI_rdata(31 downto 0);
  m00_couplers_to_m00_couplers_RLAST <= M_AXI_rlast;
  m00_couplers_to_m00_couplers_RREADY(0) <= S_AXI_rready(0);
  m00_couplers_to_m00_couplers_RRESP(1 downto 0) <= M_AXI_rresp(1 downto 0);
  m00_couplers_to_m00_couplers_RVALID(0) <= M_AXI_rvalid(0);
  m00_couplers_to_m00_couplers_WDATA(31 downto 0) <= S_AXI_wdata(31 downto 0);
  m00_couplers_to_m00_couplers_WLAST <= S_AXI_wlast;
  m00_couplers_to_m00_couplers_WREADY(0) <= M_AXI_wready(0);
  m00_couplers_to_m00_couplers_WSTRB(3 downto 0) <= S_AXI_wstrb(3 downto 0);
  m00_couplers_to_m00_couplers_WVALID(0) <= S_AXI_wvalid(0);
end STRUCTURE;

-- lib IP_Integrator_Lib
library IEEE; use IEEE.STD_LOGIC_1164.ALL;
library UNISIM; use UNISIM.VCOMPONENTS.ALL; 
entity m01_couplers_imp_GDZ1S8 is
  port (
    M_ACLK : in STD_LOGIC;
    M_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_araddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M_AXI_arburst : out STD_LOGIC;
    M_AXI_arcache : out STD_LOGIC;
    M_AXI_arlen : out STD_LOGIC;
    M_AXI_arlock : out STD_LOGIC;
    M_AXI_arprot : out STD_LOGIC;
    M_AXI_arqos : out STD_LOGIC;
    M_AXI_arready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_arregion : out STD_LOGIC;
    M_AXI_arsize : out STD_LOGIC;
    M_AXI_arvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_awaddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M_AXI_awburst : out STD_LOGIC;
    M_AXI_awcache : out STD_LOGIC;
    M_AXI_awlen : out STD_LOGIC;
    M_AXI_awlock : out STD_LOGIC;
    M_AXI_awprot : out STD_LOGIC;
    M_AXI_awqos : out STD_LOGIC;
    M_AXI_awready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_awregion : out STD_LOGIC;
    M_AXI_awsize : out STD_LOGIC;
    M_AXI_awvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_bready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_bvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_rlast : in STD_LOGIC;
    M_AXI_rready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_rvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_wlast : out STD_LOGIC;
    M_AXI_wready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_wvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_ACLK : in STD_LOGIC;
    S_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_araddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    S_AXI_arburst : in STD_LOGIC;
    S_AXI_arcache : in STD_LOGIC;
    S_AXI_arlen : in STD_LOGIC;
    S_AXI_arlock : in STD_LOGIC;
    S_AXI_arprot : in STD_LOGIC;
    S_AXI_arqos : in STD_LOGIC;
    S_AXI_arready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_arregion : in STD_LOGIC;
    S_AXI_arsize : in STD_LOGIC;
    S_AXI_arvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_awaddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    S_AXI_awburst : in STD_LOGIC;
    S_AXI_awcache : in STD_LOGIC;
    S_AXI_awlen : in STD_LOGIC;
    S_AXI_awlock : in STD_LOGIC;
    S_AXI_awprot : in STD_LOGIC;
    S_AXI_awqos : in STD_LOGIC;
    S_AXI_awready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_awregion : in STD_LOGIC;
    S_AXI_awsize : in STD_LOGIC;
    S_AXI_awvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_bready : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_bvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_rlast : out STD_LOGIC;
    S_AXI_rready : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_rvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_wlast : in STD_LOGIC;
    S_AXI_wready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_wvalid : in STD_LOGIC_VECTOR ( 0 to 0 )
  );
end m01_couplers_imp_GDZ1S8;

architecture STRUCTURE of m01_couplers_imp_GDZ1S8 is
  signal m01_couplers_to_m01_couplers_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m01_couplers_to_m01_couplers_ARBURST : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARCACHE : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARLEN : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARLOCK : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARPROT : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARQOS : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_ARREGION : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARSIZE : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m01_couplers_to_m01_couplers_AWBURST : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWCACHE : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWLEN : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWLOCK : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWPROT : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWQOS : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_AWREGION : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWSIZE : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m01_couplers_to_m01_couplers_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m01_couplers_to_m01_couplers_RLAST : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m01_couplers_to_m01_couplers_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m01_couplers_to_m01_couplers_WLAST : STD_LOGIC;
  signal m01_couplers_to_m01_couplers_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_m01_couplers_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal m01_couplers_to_m01_couplers_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
begin
  M_AXI_araddr(8 downto 0) <= m01_couplers_to_m01_couplers_ARADDR(8 downto 0);
  M_AXI_arburst <= m01_couplers_to_m01_couplers_ARBURST;
  M_AXI_arcache <= m01_couplers_to_m01_couplers_ARCACHE;
  M_AXI_arlen <= m01_couplers_to_m01_couplers_ARLEN;
  M_AXI_arlock <= m01_couplers_to_m01_couplers_ARLOCK;
  M_AXI_arprot <= m01_couplers_to_m01_couplers_ARPROT;
  M_AXI_arqos <= m01_couplers_to_m01_couplers_ARQOS;
  M_AXI_arregion <= m01_couplers_to_m01_couplers_ARREGION;
  M_AXI_arsize <= m01_couplers_to_m01_couplers_ARSIZE;
  M_AXI_arvalid(0) <= m01_couplers_to_m01_couplers_ARVALID(0);
  M_AXI_awaddr(8 downto 0) <= m01_couplers_to_m01_couplers_AWADDR(8 downto 0);
  M_AXI_awburst <= m01_couplers_to_m01_couplers_AWBURST;
  M_AXI_awcache <= m01_couplers_to_m01_couplers_AWCACHE;
  M_AXI_awlen <= m01_couplers_to_m01_couplers_AWLEN;
  M_AXI_awlock <= m01_couplers_to_m01_couplers_AWLOCK;
  M_AXI_awprot <= m01_couplers_to_m01_couplers_AWPROT;
  M_AXI_awqos <= m01_couplers_to_m01_couplers_AWQOS;
  M_AXI_awregion <= m01_couplers_to_m01_couplers_AWREGION;
  M_AXI_awsize <= m01_couplers_to_m01_couplers_AWSIZE;
  M_AXI_awvalid(0) <= m01_couplers_to_m01_couplers_AWVALID(0);
  M_AXI_bready(0) <= m01_couplers_to_m01_couplers_BREADY(0);
  M_AXI_rready(0) <= m01_couplers_to_m01_couplers_RREADY(0);
  M_AXI_wdata(31 downto 0) <= m01_couplers_to_m01_couplers_WDATA(31 downto 0);
  M_AXI_wlast <= m01_couplers_to_m01_couplers_WLAST;
  M_AXI_wstrb(3 downto 0) <= m01_couplers_to_m01_couplers_WSTRB(3 downto 0);
  M_AXI_wvalid(0) <= m01_couplers_to_m01_couplers_WVALID(0);
  S_AXI_arready(0) <= m01_couplers_to_m01_couplers_ARREADY(0);
  S_AXI_awready(0) <= m01_couplers_to_m01_couplers_AWREADY(0);
  S_AXI_bresp(1 downto 0) <= m01_couplers_to_m01_couplers_BRESP(1 downto 0);
  S_AXI_bvalid(0) <= m01_couplers_to_m01_couplers_BVALID(0);
  S_AXI_rdata(31 downto 0) <= m01_couplers_to_m01_couplers_RDATA(31 downto 0);
  S_AXI_rlast <= m01_couplers_to_m01_couplers_RLAST;
  S_AXI_rresp(1 downto 0) <= m01_couplers_to_m01_couplers_RRESP(1 downto 0);
  S_AXI_rvalid(0) <= m01_couplers_to_m01_couplers_RVALID(0);
  S_AXI_wready(0) <= m01_couplers_to_m01_couplers_WREADY(0);
  m01_couplers_to_m01_couplers_ARADDR(8 downto 0) <= S_AXI_araddr(8 downto 0);
  m01_couplers_to_m01_couplers_ARBURST <= S_AXI_arburst;
  m01_couplers_to_m01_couplers_ARCACHE <= S_AXI_arcache;
  m01_couplers_to_m01_couplers_ARLEN <= S_AXI_arlen;
  m01_couplers_to_m01_couplers_ARLOCK <= S_AXI_arlock;
  m01_couplers_to_m01_couplers_ARPROT <= S_AXI_arprot;
  m01_couplers_to_m01_couplers_ARQOS <= S_AXI_arqos;
  m01_couplers_to_m01_couplers_ARREADY(0) <= M_AXI_arready(0);
  m01_couplers_to_m01_couplers_ARREGION <= S_AXI_arregion;
  m01_couplers_to_m01_couplers_ARSIZE <= S_AXI_arsize;
  m01_couplers_to_m01_couplers_ARVALID(0) <= S_AXI_arvalid(0);
  m01_couplers_to_m01_couplers_AWADDR(8 downto 0) <= S_AXI_awaddr(8 downto 0);
  m01_couplers_to_m01_couplers_AWBURST <= S_AXI_awburst;
  m01_couplers_to_m01_couplers_AWCACHE <= S_AXI_awcache;
  m01_couplers_to_m01_couplers_AWLEN <= S_AXI_awlen;
  m01_couplers_to_m01_couplers_AWLOCK <= S_AXI_awlock;
  m01_couplers_to_m01_couplers_AWPROT <= S_AXI_awprot;
  m01_couplers_to_m01_couplers_AWQOS <= S_AXI_awqos;
  m01_couplers_to_m01_couplers_AWREADY(0) <= M_AXI_awready(0);
  m01_couplers_to_m01_couplers_AWREGION <= S_AXI_awregion;
  m01_couplers_to_m01_couplers_AWSIZE <= S_AXI_awsize;
  m01_couplers_to_m01_couplers_AWVALID(0) <= S_AXI_awvalid(0);
  m01_couplers_to_m01_couplers_BREADY(0) <= S_AXI_bready(0);
  m01_couplers_to_m01_couplers_BRESP(1 downto 0) <= M_AXI_bresp(1 downto 0);
  m01_couplers_to_m01_couplers_BVALID(0) <= M_AXI_bvalid(0);
  m01_couplers_to_m01_couplers_RDATA(31 downto 0) <= M_AXI_rdata(31 downto 0);
  m01_couplers_to_m01_couplers_RLAST <= M_AXI_rlast;
  m01_couplers_to_m01_couplers_RREADY(0) <= S_AXI_rready(0);
  m01_couplers_to_m01_couplers_RRESP(1 downto 0) <= M_AXI_rresp(1 downto 0);
  m01_couplers_to_m01_couplers_RVALID(0) <= M_AXI_rvalid(0);
  m01_couplers_to_m01_couplers_WDATA(31 downto 0) <= S_AXI_wdata(31 downto 0);
  m01_couplers_to_m01_couplers_WLAST <= S_AXI_wlast;
  m01_couplers_to_m01_couplers_WREADY(0) <= M_AXI_wready(0);
  m01_couplers_to_m01_couplers_WSTRB(3 downto 0) <= S_AXI_wstrb(3 downto 0);
  m01_couplers_to_m01_couplers_WVALID(0) <= S_AXI_wvalid(0);
end STRUCTURE;

-- lib IP_Integrator_Lib
library IEEE; use IEEE.STD_LOGIC_1164.ALL;
library UNISIM; use UNISIM.VCOMPONENTS.ALL; 
entity m02_couplers_imp_1LR7J63 is
  port (
    M_ACLK : in STD_LOGIC;
    M_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_araddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M_AXI_arburst : out STD_LOGIC;
    M_AXI_arcache : out STD_LOGIC;
    M_AXI_arlen : out STD_LOGIC;
    M_AXI_arlock : out STD_LOGIC;
    M_AXI_arprot : out STD_LOGIC;
    M_AXI_arqos : out STD_LOGIC;
    M_AXI_arready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_arregion : out STD_LOGIC;
    M_AXI_arsize : out STD_LOGIC;
    M_AXI_arvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_awaddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M_AXI_awburst : out STD_LOGIC;
    M_AXI_awcache : out STD_LOGIC;
    M_AXI_awlen : out STD_LOGIC;
    M_AXI_awlock : out STD_LOGIC;
    M_AXI_awprot : out STD_LOGIC;
    M_AXI_awqos : out STD_LOGIC;
    M_AXI_awready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_awregion : out STD_LOGIC;
    M_AXI_awsize : out STD_LOGIC;
    M_AXI_awvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_bready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_bvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_rlast : in STD_LOGIC;
    M_AXI_rready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_rvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_wlast : out STD_LOGIC;
    M_AXI_wready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_wvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_ACLK : in STD_LOGIC;
    S_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_araddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    S_AXI_arburst : in STD_LOGIC;
    S_AXI_arcache : in STD_LOGIC;
    S_AXI_arlen : in STD_LOGIC;
    S_AXI_arlock : in STD_LOGIC;
    S_AXI_arprot : in STD_LOGIC;
    S_AXI_arqos : in STD_LOGIC;
    S_AXI_arready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_arregion : in STD_LOGIC;
    S_AXI_arsize : in STD_LOGIC;
    S_AXI_arvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_awaddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    S_AXI_awburst : in STD_LOGIC;
    S_AXI_awcache : in STD_LOGIC;
    S_AXI_awlen : in STD_LOGIC;
    S_AXI_awlock : in STD_LOGIC;
    S_AXI_awprot : in STD_LOGIC;
    S_AXI_awqos : in STD_LOGIC;
    S_AXI_awready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_awregion : in STD_LOGIC;
    S_AXI_awsize : in STD_LOGIC;
    S_AXI_awvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_bready : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_bvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_rlast : out STD_LOGIC;
    S_AXI_rready : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_rvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_wlast : in STD_LOGIC;
    S_AXI_wready : out STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_wvalid : in STD_LOGIC_VECTOR ( 0 to 0 )
  );
end m02_couplers_imp_1LR7J63;

architecture STRUCTURE of m02_couplers_imp_1LR7J63 is
  signal m02_couplers_to_m02_couplers_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m02_couplers_to_m02_couplers_ARBURST : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARCACHE : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARLEN : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARLOCK : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARPROT : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARQOS : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_ARREGION : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARSIZE : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m02_couplers_to_m02_couplers_AWBURST : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWCACHE : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWLEN : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWLOCK : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWPROT : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWQOS : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_AWREGION : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWSIZE : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m02_couplers_to_m02_couplers_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m02_couplers_to_m02_couplers_RLAST : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m02_couplers_to_m02_couplers_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m02_couplers_to_m02_couplers_WLAST : STD_LOGIC;
  signal m02_couplers_to_m02_couplers_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_m02_couplers_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal m02_couplers_to_m02_couplers_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
begin
  M_AXI_araddr(8 downto 0) <= m02_couplers_to_m02_couplers_ARADDR(8 downto 0);
  M_AXI_arburst <= m02_couplers_to_m02_couplers_ARBURST;
  M_AXI_arcache <= m02_couplers_to_m02_couplers_ARCACHE;
  M_AXI_arlen <= m02_couplers_to_m02_couplers_ARLEN;
  M_AXI_arlock <= m02_couplers_to_m02_couplers_ARLOCK;
  M_AXI_arprot <= m02_couplers_to_m02_couplers_ARPROT;
  M_AXI_arqos <= m02_couplers_to_m02_couplers_ARQOS;
  M_AXI_arregion <= m02_couplers_to_m02_couplers_ARREGION;
  M_AXI_arsize <= m02_couplers_to_m02_couplers_ARSIZE;
  M_AXI_arvalid(0) <= m02_couplers_to_m02_couplers_ARVALID(0);
  M_AXI_awaddr(8 downto 0) <= m02_couplers_to_m02_couplers_AWADDR(8 downto 0);
  M_AXI_awburst <= m02_couplers_to_m02_couplers_AWBURST;
  M_AXI_awcache <= m02_couplers_to_m02_couplers_AWCACHE;
  M_AXI_awlen <= m02_couplers_to_m02_couplers_AWLEN;
  M_AXI_awlock <= m02_couplers_to_m02_couplers_AWLOCK;
  M_AXI_awprot <= m02_couplers_to_m02_couplers_AWPROT;
  M_AXI_awqos <= m02_couplers_to_m02_couplers_AWQOS;
  M_AXI_awregion <= m02_couplers_to_m02_couplers_AWREGION;
  M_AXI_awsize <= m02_couplers_to_m02_couplers_AWSIZE;
  M_AXI_awvalid(0) <= m02_couplers_to_m02_couplers_AWVALID(0);
  M_AXI_bready(0) <= m02_couplers_to_m02_couplers_BREADY(0);
  M_AXI_rready(0) <= m02_couplers_to_m02_couplers_RREADY(0);
  M_AXI_wdata(31 downto 0) <= m02_couplers_to_m02_couplers_WDATA(31 downto 0);
  M_AXI_wlast <= m02_couplers_to_m02_couplers_WLAST;
  M_AXI_wstrb(3 downto 0) <= m02_couplers_to_m02_couplers_WSTRB(3 downto 0);
  M_AXI_wvalid(0) <= m02_couplers_to_m02_couplers_WVALID(0);
  S_AXI_arready(0) <= m02_couplers_to_m02_couplers_ARREADY(0);
  S_AXI_awready(0) <= m02_couplers_to_m02_couplers_AWREADY(0);
  S_AXI_bresp(1 downto 0) <= m02_couplers_to_m02_couplers_BRESP(1 downto 0);
  S_AXI_bvalid(0) <= m02_couplers_to_m02_couplers_BVALID(0);
  S_AXI_rdata(31 downto 0) <= m02_couplers_to_m02_couplers_RDATA(31 downto 0);
  S_AXI_rlast <= m02_couplers_to_m02_couplers_RLAST;
  S_AXI_rresp(1 downto 0) <= m02_couplers_to_m02_couplers_RRESP(1 downto 0);
  S_AXI_rvalid(0) <= m02_couplers_to_m02_couplers_RVALID(0);
  S_AXI_wready(0) <= m02_couplers_to_m02_couplers_WREADY(0);
  m02_couplers_to_m02_couplers_ARADDR(8 downto 0) <= S_AXI_araddr(8 downto 0);
  m02_couplers_to_m02_couplers_ARBURST <= S_AXI_arburst;
  m02_couplers_to_m02_couplers_ARCACHE <= S_AXI_arcache;
  m02_couplers_to_m02_couplers_ARLEN <= S_AXI_arlen;
  m02_couplers_to_m02_couplers_ARLOCK <= S_AXI_arlock;
  m02_couplers_to_m02_couplers_ARPROT <= S_AXI_arprot;
  m02_couplers_to_m02_couplers_ARQOS <= S_AXI_arqos;
  m02_couplers_to_m02_couplers_ARREADY(0) <= M_AXI_arready(0);
  m02_couplers_to_m02_couplers_ARREGION <= S_AXI_arregion;
  m02_couplers_to_m02_couplers_ARSIZE <= S_AXI_arsize;
  m02_couplers_to_m02_couplers_ARVALID(0) <= S_AXI_arvalid(0);
  m02_couplers_to_m02_couplers_AWADDR(8 downto 0) <= S_AXI_awaddr(8 downto 0);
  m02_couplers_to_m02_couplers_AWBURST <= S_AXI_awburst;
  m02_couplers_to_m02_couplers_AWCACHE <= S_AXI_awcache;
  m02_couplers_to_m02_couplers_AWLEN <= S_AXI_awlen;
  m02_couplers_to_m02_couplers_AWLOCK <= S_AXI_awlock;
  m02_couplers_to_m02_couplers_AWPROT <= S_AXI_awprot;
  m02_couplers_to_m02_couplers_AWQOS <= S_AXI_awqos;
  m02_couplers_to_m02_couplers_AWREADY(0) <= M_AXI_awready(0);
  m02_couplers_to_m02_couplers_AWREGION <= S_AXI_awregion;
  m02_couplers_to_m02_couplers_AWSIZE <= S_AXI_awsize;
  m02_couplers_to_m02_couplers_AWVALID(0) <= S_AXI_awvalid(0);
  m02_couplers_to_m02_couplers_BREADY(0) <= S_AXI_bready(0);
  m02_couplers_to_m02_couplers_BRESP(1 downto 0) <= M_AXI_bresp(1 downto 0);
  m02_couplers_to_m02_couplers_BVALID(0) <= M_AXI_bvalid(0);
  m02_couplers_to_m02_couplers_RDATA(31 downto 0) <= M_AXI_rdata(31 downto 0);
  m02_couplers_to_m02_couplers_RLAST <= M_AXI_rlast;
  m02_couplers_to_m02_couplers_RREADY(0) <= S_AXI_rready(0);
  m02_couplers_to_m02_couplers_RRESP(1 downto 0) <= M_AXI_rresp(1 downto 0);
  m02_couplers_to_m02_couplers_RVALID(0) <= M_AXI_rvalid(0);
  m02_couplers_to_m02_couplers_WDATA(31 downto 0) <= S_AXI_wdata(31 downto 0);
  m02_couplers_to_m02_couplers_WLAST <= S_AXI_wlast;
  m02_couplers_to_m02_couplers_WREADY(0) <= M_AXI_wready(0);
  m02_couplers_to_m02_couplers_WSTRB(3 downto 0) <= S_AXI_wstrb(3 downto 0);
  m02_couplers_to_m02_couplers_WVALID(0) <= S_AXI_wvalid(0);
end STRUCTURE;

-- lib IP_Integrator_Lib
library IEEE; use IEEE.STD_LOGIC_1164.ALL;
library UNISIM; use UNISIM.VCOMPONENTS.ALL; 
entity s00_couplers_imp_DV8YS4 is
  port (
    M_ACLK : in STD_LOGIC;
    M_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M_AXI_araddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_arburst : out STD_LOGIC;
    M_AXI_arcache : out STD_LOGIC;
    M_AXI_arid : out STD_LOGIC;
    M_AXI_arlen : out STD_LOGIC;
    M_AXI_arlock : out STD_LOGIC;
    M_AXI_arprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_arqos : out STD_LOGIC;
    M_AXI_arready : in STD_LOGIC;
    M_AXI_arsize : out STD_LOGIC;
    M_AXI_arvalid : out STD_LOGIC;
    M_AXI_awaddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_awburst : out STD_LOGIC;
    M_AXI_awcache : out STD_LOGIC;
    M_AXI_awid : out STD_LOGIC;
    M_AXI_awlen : out STD_LOGIC;
    M_AXI_awlock : out STD_LOGIC;
    M_AXI_awprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    M_AXI_awqos : out STD_LOGIC;
    M_AXI_awready : in STD_LOGIC;
    M_AXI_awsize : out STD_LOGIC;
    M_AXI_awvalid : out STD_LOGIC;
    M_AXI_bid : in STD_LOGIC;
    M_AXI_bready : out STD_LOGIC;
    M_AXI_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_bvalid : in STD_LOGIC;
    M_AXI_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_rid : in STD_LOGIC;
    M_AXI_rlast : in STD_LOGIC;
    M_AXI_rready : out STD_LOGIC;
    M_AXI_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M_AXI_rvalid : in STD_LOGIC;
    M_AXI_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M_AXI_wid : out STD_LOGIC;
    M_AXI_wlast : out STD_LOGIC;
    M_AXI_wready : in STD_LOGIC;
    M_AXI_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M_AXI_wvalid : out STD_LOGIC;
    S_ACLK : in STD_LOGIC;
    S_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    S_AXI_araddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_arburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_arcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_arid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    S_AXI_arlen : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_arlock : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_arprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S_AXI_arqos : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_arready : out STD_LOGIC;
    S_AXI_arsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S_AXI_arvalid : in STD_LOGIC;
    S_AXI_awaddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_awburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_awcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_awid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    S_AXI_awlen : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_awlock : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_awprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S_AXI_awqos : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_awready : out STD_LOGIC;
    S_AXI_awsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S_AXI_awvalid : in STD_LOGIC;
    S_AXI_bid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    S_AXI_bready : in STD_LOGIC;
    S_AXI_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_bvalid : out STD_LOGIC;
    S_AXI_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_rid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    S_AXI_rlast : out STD_LOGIC;
    S_AXI_rready : in STD_LOGIC;
    S_AXI_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S_AXI_rvalid : out STD_LOGIC;
    S_AXI_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S_AXI_wid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    S_AXI_wlast : in STD_LOGIC;
    S_AXI_wready : out STD_LOGIC;
    S_AXI_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S_AXI_wvalid : in STD_LOGIC
  );
end s00_couplers_imp_DV8YS4;

architecture STRUCTURE of s00_couplers_imp_DV8YS4 is
  component design_1_auto_pc_1 is
  port (
    aclk : in STD_LOGIC;
    aresetn : in STD_LOGIC;
    s_axi_awid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    s_axi_awaddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_awlen : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_awsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_awburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_awlock : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_awcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_awprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_awqos : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_awvalid : in STD_LOGIC;
    s_axi_awready : out STD_LOGIC;
    s_axi_wid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    s_axi_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_wlast : in STD_LOGIC;
    s_axi_wvalid : in STD_LOGIC;
    s_axi_wready : out STD_LOGIC;
    s_axi_bid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    s_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_bvalid : out STD_LOGIC;
    s_axi_bready : in STD_LOGIC;
    s_axi_arid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    s_axi_araddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_arlen : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_arsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_arburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_arlock : in STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_arcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_arprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_arqos : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_arvalid : in STD_LOGIC;
    s_axi_arready : out STD_LOGIC;
    s_axi_rid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    s_axi_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_rlast : out STD_LOGIC;
    s_axi_rvalid : out STD_LOGIC;
    s_axi_rready : in STD_LOGIC;
    m_axi_awaddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    m_axi_awprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_awvalid : out STD_LOGIC;
    m_axi_awready : in STD_LOGIC;
    m_axi_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    m_axi_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    m_axi_wvalid : out STD_LOGIC;
    m_axi_wready : in STD_LOGIC;
    m_axi_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    m_axi_bvalid : in STD_LOGIC;
    m_axi_bready : out STD_LOGIC;
    m_axi_araddr : out STD_LOGIC_VECTOR ( 31 downto 0 );
    m_axi_arprot : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_arvalid : out STD_LOGIC;
    m_axi_arready : in STD_LOGIC;
    m_axi_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    m_axi_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    m_axi_rvalid : in STD_LOGIC;
    m_axi_rready : out STD_LOGIC
  );
  end component design_1_auto_pc_1;
  signal auto_pc_to_s00_couplers_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal auto_pc_to_s00_couplers_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal auto_pc_to_s00_couplers_ARREADY : STD_LOGIC;
  signal auto_pc_to_s00_couplers_ARVALID : STD_LOGIC;
  signal auto_pc_to_s00_couplers_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal auto_pc_to_s00_couplers_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal auto_pc_to_s00_couplers_AWREADY : STD_LOGIC;
  signal auto_pc_to_s00_couplers_AWVALID : STD_LOGIC;
  signal auto_pc_to_s00_couplers_BREADY : STD_LOGIC;
  signal auto_pc_to_s00_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal auto_pc_to_s00_couplers_BVALID : STD_LOGIC;
  signal auto_pc_to_s00_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal auto_pc_to_s00_couplers_RREADY : STD_LOGIC;
  signal auto_pc_to_s00_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal auto_pc_to_s00_couplers_RVALID : STD_LOGIC;
  signal auto_pc_to_s00_couplers_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal auto_pc_to_s00_couplers_WREADY : STD_LOGIC;
  signal auto_pc_to_s00_couplers_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal auto_pc_to_s00_couplers_WVALID : STD_LOGIC;
  signal s00_couplers_to_auto_pc_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_auto_pc_ARBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_auto_pc_ARCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_auto_pc_ARID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal s00_couplers_to_auto_pc_ARLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_auto_pc_ARLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_auto_pc_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal s00_couplers_to_auto_pc_ARQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_auto_pc_ARREADY : STD_LOGIC;
  signal s00_couplers_to_auto_pc_ARSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal s00_couplers_to_auto_pc_ARVALID : STD_LOGIC;
  signal s00_couplers_to_auto_pc_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_auto_pc_AWBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_auto_pc_AWCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_auto_pc_AWID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal s00_couplers_to_auto_pc_AWLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_auto_pc_AWLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_auto_pc_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal s00_couplers_to_auto_pc_AWQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_auto_pc_AWREADY : STD_LOGIC;
  signal s00_couplers_to_auto_pc_AWSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal s00_couplers_to_auto_pc_AWVALID : STD_LOGIC;
  signal s00_couplers_to_auto_pc_BID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal s00_couplers_to_auto_pc_BREADY : STD_LOGIC;
  signal s00_couplers_to_auto_pc_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_auto_pc_BVALID : STD_LOGIC;
  signal s00_couplers_to_auto_pc_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_auto_pc_RID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal s00_couplers_to_auto_pc_RLAST : STD_LOGIC;
  signal s00_couplers_to_auto_pc_RREADY : STD_LOGIC;
  signal s00_couplers_to_auto_pc_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_auto_pc_RVALID : STD_LOGIC;
  signal s00_couplers_to_auto_pc_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_auto_pc_WID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal s00_couplers_to_auto_pc_WLAST : STD_LOGIC;
  signal s00_couplers_to_auto_pc_WREADY : STD_LOGIC;
  signal s00_couplers_to_auto_pc_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_auto_pc_WVALID : STD_LOGIC;
  signal s_aclk_1 : STD_LOGIC;
  signal s_aresetn_1 : STD_LOGIC_VECTOR ( 0 to 0 );
begin
  M_AXI_araddr(31 downto 0) <= auto_pc_to_s00_couplers_ARADDR(31 downto 0);
  M_AXI_arprot(2 downto 0) <= auto_pc_to_s00_couplers_ARPROT(2 downto 0);
  M_AXI_arvalid <= auto_pc_to_s00_couplers_ARVALID;
  M_AXI_awaddr(31 downto 0) <= auto_pc_to_s00_couplers_AWADDR(31 downto 0);
  M_AXI_awprot(2 downto 0) <= auto_pc_to_s00_couplers_AWPROT(2 downto 0);
  M_AXI_awvalid <= auto_pc_to_s00_couplers_AWVALID;
  M_AXI_bready <= auto_pc_to_s00_couplers_BREADY;
  M_AXI_rready <= auto_pc_to_s00_couplers_RREADY;
  M_AXI_wdata(31 downto 0) <= auto_pc_to_s00_couplers_WDATA(31 downto 0);
  M_AXI_wstrb(3 downto 0) <= auto_pc_to_s00_couplers_WSTRB(3 downto 0);
  M_AXI_wvalid <= auto_pc_to_s00_couplers_WVALID;
  S_AXI_arready <= s00_couplers_to_auto_pc_ARREADY;
  S_AXI_awready <= s00_couplers_to_auto_pc_AWREADY;
  S_AXI_bid(11 downto 0) <= s00_couplers_to_auto_pc_BID(11 downto 0);
  S_AXI_bresp(1 downto 0) <= s00_couplers_to_auto_pc_BRESP(1 downto 0);
  S_AXI_bvalid <= s00_couplers_to_auto_pc_BVALID;
  S_AXI_rdata(31 downto 0) <= s00_couplers_to_auto_pc_RDATA(31 downto 0);
  S_AXI_rid(11 downto 0) <= s00_couplers_to_auto_pc_RID(11 downto 0);
  S_AXI_rlast <= s00_couplers_to_auto_pc_RLAST;
  S_AXI_rresp(1 downto 0) <= s00_couplers_to_auto_pc_RRESP(1 downto 0);
  S_AXI_rvalid <= s00_couplers_to_auto_pc_RVALID;
  S_AXI_wready <= s00_couplers_to_auto_pc_WREADY;
  auto_pc_to_s00_couplers_ARREADY <= M_AXI_arready;
  auto_pc_to_s00_couplers_AWREADY <= M_AXI_awready;
  auto_pc_to_s00_couplers_BRESP(1 downto 0) <= M_AXI_bresp(1 downto 0);
  auto_pc_to_s00_couplers_BVALID <= M_AXI_bvalid;
  auto_pc_to_s00_couplers_RDATA(31 downto 0) <= M_AXI_rdata(31 downto 0);
  auto_pc_to_s00_couplers_RRESP(1 downto 0) <= M_AXI_rresp(1 downto 0);
  auto_pc_to_s00_couplers_RVALID <= M_AXI_rvalid;
  auto_pc_to_s00_couplers_WREADY <= M_AXI_wready;
  s00_couplers_to_auto_pc_ARADDR(31 downto 0) <= S_AXI_araddr(31 downto 0);
  s00_couplers_to_auto_pc_ARBURST(1 downto 0) <= S_AXI_arburst(1 downto 0);
  s00_couplers_to_auto_pc_ARCACHE(3 downto 0) <= S_AXI_arcache(3 downto 0);
  s00_couplers_to_auto_pc_ARID(11 downto 0) <= S_AXI_arid(11 downto 0);
  s00_couplers_to_auto_pc_ARLEN(3 downto 0) <= S_AXI_arlen(3 downto 0);
  s00_couplers_to_auto_pc_ARLOCK(1 downto 0) <= S_AXI_arlock(1 downto 0);
  s00_couplers_to_auto_pc_ARPROT(2 downto 0) <= S_AXI_arprot(2 downto 0);
  s00_couplers_to_auto_pc_ARQOS(3 downto 0) <= S_AXI_arqos(3 downto 0);
  s00_couplers_to_auto_pc_ARSIZE(2 downto 0) <= S_AXI_arsize(2 downto 0);
  s00_couplers_to_auto_pc_ARVALID <= S_AXI_arvalid;
  s00_couplers_to_auto_pc_AWADDR(31 downto 0) <= S_AXI_awaddr(31 downto 0);
  s00_couplers_to_auto_pc_AWBURST(1 downto 0) <= S_AXI_awburst(1 downto 0);
  s00_couplers_to_auto_pc_AWCACHE(3 downto 0) <= S_AXI_awcache(3 downto 0);
  s00_couplers_to_auto_pc_AWID(11 downto 0) <= S_AXI_awid(11 downto 0);
  s00_couplers_to_auto_pc_AWLEN(3 downto 0) <= S_AXI_awlen(3 downto 0);
  s00_couplers_to_auto_pc_AWLOCK(1 downto 0) <= S_AXI_awlock(1 downto 0);
  s00_couplers_to_auto_pc_AWPROT(2 downto 0) <= S_AXI_awprot(2 downto 0);
  s00_couplers_to_auto_pc_AWQOS(3 downto 0) <= S_AXI_awqos(3 downto 0);
  s00_couplers_to_auto_pc_AWSIZE(2 downto 0) <= S_AXI_awsize(2 downto 0);
  s00_couplers_to_auto_pc_AWVALID <= S_AXI_awvalid;
  s00_couplers_to_auto_pc_BREADY <= S_AXI_bready;
  s00_couplers_to_auto_pc_RREADY <= S_AXI_rready;
  s00_couplers_to_auto_pc_WDATA(31 downto 0) <= S_AXI_wdata(31 downto 0);
  s00_couplers_to_auto_pc_WID(11 downto 0) <= S_AXI_wid(11 downto 0);
  s00_couplers_to_auto_pc_WLAST <= S_AXI_wlast;
  s00_couplers_to_auto_pc_WSTRB(3 downto 0) <= S_AXI_wstrb(3 downto 0);
  s00_couplers_to_auto_pc_WVALID <= S_AXI_wvalid;
  s_aclk_1 <= S_ACLK;
  s_aresetn_1(0) <= S_ARESETN(0);
  M_AXI_arburst <= 'Z';
  M_AXI_arcache <= 'Z';
  M_AXI_arid <= 'Z';
  M_AXI_arlen <= 'Z';
  M_AXI_arlock <= 'Z';
  M_AXI_arqos <= 'Z';
  M_AXI_arsize <= 'Z';
  M_AXI_awburst <= 'Z';
  M_AXI_awcache <= 'Z';
  M_AXI_awid <= 'Z';
  M_AXI_awlen <= 'Z';
  M_AXI_awlock <= 'Z';
  M_AXI_awqos <= 'Z';
  M_AXI_awsize <= 'Z';
  M_AXI_wid <= 'Z';
  M_AXI_wlast <= 'Z';
auto_pc: component design_1_auto_pc_1
    port map (
      aclk => s_aclk_1,
      aresetn => s_aresetn_1(0),
      m_axi_araddr(31 downto 0) => auto_pc_to_s00_couplers_ARADDR(31 downto 0),
      m_axi_arprot(2 downto 0) => auto_pc_to_s00_couplers_ARPROT(2 downto 0),
      m_axi_arready => auto_pc_to_s00_couplers_ARREADY,
      m_axi_arvalid => auto_pc_to_s00_couplers_ARVALID,
      m_axi_awaddr(31 downto 0) => auto_pc_to_s00_couplers_AWADDR(31 downto 0),
      m_axi_awprot(2 downto 0) => auto_pc_to_s00_couplers_AWPROT(2 downto 0),
      m_axi_awready => auto_pc_to_s00_couplers_AWREADY,
      m_axi_awvalid => auto_pc_to_s00_couplers_AWVALID,
      m_axi_bready => auto_pc_to_s00_couplers_BREADY,
      m_axi_bresp(1 downto 0) => auto_pc_to_s00_couplers_BRESP(1 downto 0),
      m_axi_bvalid => auto_pc_to_s00_couplers_BVALID,
      m_axi_rdata(31 downto 0) => auto_pc_to_s00_couplers_RDATA(31 downto 0),
      m_axi_rready => auto_pc_to_s00_couplers_RREADY,
      m_axi_rresp(1 downto 0) => auto_pc_to_s00_couplers_RRESP(1 downto 0),
      m_axi_rvalid => auto_pc_to_s00_couplers_RVALID,
      m_axi_wdata(31 downto 0) => auto_pc_to_s00_couplers_WDATA(31 downto 0),
      m_axi_wready => auto_pc_to_s00_couplers_WREADY,
      m_axi_wstrb(3 downto 0) => auto_pc_to_s00_couplers_WSTRB(3 downto 0),
      m_axi_wvalid => auto_pc_to_s00_couplers_WVALID,
      s_axi_araddr(31 downto 0) => s00_couplers_to_auto_pc_ARADDR(31 downto 0),
      s_axi_arburst(1 downto 0) => s00_couplers_to_auto_pc_ARBURST(1 downto 0),
      s_axi_arcache(3 downto 0) => s00_couplers_to_auto_pc_ARCACHE(3 downto 0),
      s_axi_arid(11 downto 0) => s00_couplers_to_auto_pc_ARID(11 downto 0),
      s_axi_arlen(3 downto 0) => s00_couplers_to_auto_pc_ARLEN(3 downto 0),
      s_axi_arlock(1 downto 0) => s00_couplers_to_auto_pc_ARLOCK(1 downto 0),
      s_axi_arprot(2 downto 0) => s00_couplers_to_auto_pc_ARPROT(2 downto 0),
      s_axi_arqos(3 downto 0) => s00_couplers_to_auto_pc_ARQOS(3 downto 0),
      s_axi_arready => s00_couplers_to_auto_pc_ARREADY,
      s_axi_arsize(2 downto 0) => s00_couplers_to_auto_pc_ARSIZE(2 downto 0),
      s_axi_arvalid => s00_couplers_to_auto_pc_ARVALID,
      s_axi_awaddr(31 downto 0) => s00_couplers_to_auto_pc_AWADDR(31 downto 0),
      s_axi_awburst(1 downto 0) => s00_couplers_to_auto_pc_AWBURST(1 downto 0),
      s_axi_awcache(3 downto 0) => s00_couplers_to_auto_pc_AWCACHE(3 downto 0),
      s_axi_awid(11 downto 0) => s00_couplers_to_auto_pc_AWID(11 downto 0),
      s_axi_awlen(3 downto 0) => s00_couplers_to_auto_pc_AWLEN(3 downto 0),
      s_axi_awlock(1 downto 0) => s00_couplers_to_auto_pc_AWLOCK(1 downto 0),
      s_axi_awprot(2 downto 0) => s00_couplers_to_auto_pc_AWPROT(2 downto 0),
      s_axi_awqos(3 downto 0) => s00_couplers_to_auto_pc_AWQOS(3 downto 0),
      s_axi_awready => s00_couplers_to_auto_pc_AWREADY,
      s_axi_awsize(2 downto 0) => s00_couplers_to_auto_pc_AWSIZE(2 downto 0),
      s_axi_awvalid => s00_couplers_to_auto_pc_AWVALID,
      s_axi_bid(11 downto 0) => s00_couplers_to_auto_pc_BID(11 downto 0),
      s_axi_bready => s00_couplers_to_auto_pc_BREADY,
      s_axi_bresp(1 downto 0) => s00_couplers_to_auto_pc_BRESP(1 downto 0),
      s_axi_bvalid => s00_couplers_to_auto_pc_BVALID,
      s_axi_rdata(31 downto 0) => s00_couplers_to_auto_pc_RDATA(31 downto 0),
      s_axi_rid(11 downto 0) => s00_couplers_to_auto_pc_RID(11 downto 0),
      s_axi_rlast => s00_couplers_to_auto_pc_RLAST,
      s_axi_rready => s00_couplers_to_auto_pc_RREADY,
      s_axi_rresp(1 downto 0) => s00_couplers_to_auto_pc_RRESP(1 downto 0),
      s_axi_rvalid => s00_couplers_to_auto_pc_RVALID,
      s_axi_wdata(31 downto 0) => s00_couplers_to_auto_pc_WDATA(31 downto 0),
      s_axi_wid(11 downto 0) => s00_couplers_to_auto_pc_WID(11 downto 0),
      s_axi_wlast => s00_couplers_to_auto_pc_WLAST,
      s_axi_wready => s00_couplers_to_auto_pc_WREADY,
      s_axi_wstrb(3 downto 0) => s00_couplers_to_auto_pc_WSTRB(3 downto 0),
      s_axi_wvalid => s00_couplers_to_auto_pc_WVALID
    );
end STRUCTURE;

-- lib IP_Integrator_Lib
library IEEE; use IEEE.STD_LOGIC_1164.ALL;
library UNISIM; use UNISIM.VCOMPONENTS.ALL; 
entity design_1_processing_system7_1_axi_periph_0 is
  port (
    ACLK : in STD_LOGIC;
    ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M00_ACLK : in STD_LOGIC;
    M00_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_araddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M00_AXI_arburst : out STD_LOGIC;
    M00_AXI_arcache : out STD_LOGIC;
    M00_AXI_arlen : out STD_LOGIC;
    M00_AXI_arlock : out STD_LOGIC;
    M00_AXI_arprot : out STD_LOGIC;
    M00_AXI_arqos : out STD_LOGIC;
    M00_AXI_arready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_arregion : out STD_LOGIC;
    M00_AXI_arsize : out STD_LOGIC;
    M00_AXI_arvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_awaddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M00_AXI_awburst : out STD_LOGIC;
    M00_AXI_awcache : out STD_LOGIC;
    M00_AXI_awlen : out STD_LOGIC;
    M00_AXI_awlock : out STD_LOGIC;
    M00_AXI_awprot : out STD_LOGIC;
    M00_AXI_awqos : out STD_LOGIC;
    M00_AXI_awready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_awregion : out STD_LOGIC;
    M00_AXI_awsize : out STD_LOGIC;
    M00_AXI_awvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_bready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M00_AXI_bvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M00_AXI_rlast : in STD_LOGIC;
    M00_AXI_rready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M00_AXI_rvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M00_AXI_wlast : out STD_LOGIC;
    M00_AXI_wready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M00_AXI_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M00_AXI_wvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M01_ACLK : in STD_LOGIC;
    M01_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_araddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M01_AXI_arburst : out STD_LOGIC;
    M01_AXI_arcache : out STD_LOGIC;
    M01_AXI_arlen : out STD_LOGIC;
    M01_AXI_arlock : out STD_LOGIC;
    M01_AXI_arprot : out STD_LOGIC;
    M01_AXI_arqos : out STD_LOGIC;
    M01_AXI_arready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_arregion : out STD_LOGIC;
    M01_AXI_arsize : out STD_LOGIC;
    M01_AXI_arvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_awaddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M01_AXI_awburst : out STD_LOGIC;
    M01_AXI_awcache : out STD_LOGIC;
    M01_AXI_awlen : out STD_LOGIC;
    M01_AXI_awlock : out STD_LOGIC;
    M01_AXI_awprot : out STD_LOGIC;
    M01_AXI_awqos : out STD_LOGIC;
    M01_AXI_awready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_awregion : out STD_LOGIC;
    M01_AXI_awsize : out STD_LOGIC;
    M01_AXI_awvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_bready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M01_AXI_bvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M01_AXI_rlast : in STD_LOGIC;
    M01_AXI_rready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M01_AXI_rvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M01_AXI_wlast : out STD_LOGIC;
    M01_AXI_wready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M01_AXI_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M01_AXI_wvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M02_ACLK : in STD_LOGIC;
    M02_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_araddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M02_AXI_arburst : out STD_LOGIC;
    M02_AXI_arcache : out STD_LOGIC;
    M02_AXI_arlen : out STD_LOGIC;
    M02_AXI_arlock : out STD_LOGIC;
    M02_AXI_arprot : out STD_LOGIC;
    M02_AXI_arqos : out STD_LOGIC;
    M02_AXI_arready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_arregion : out STD_LOGIC;
    M02_AXI_arsize : out STD_LOGIC;
    M02_AXI_arvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_awaddr : out STD_LOGIC_VECTOR ( 8 downto 0 );
    M02_AXI_awburst : out STD_LOGIC;
    M02_AXI_awcache : out STD_LOGIC;
    M02_AXI_awlen : out STD_LOGIC;
    M02_AXI_awlock : out STD_LOGIC;
    M02_AXI_awprot : out STD_LOGIC;
    M02_AXI_awqos : out STD_LOGIC;
    M02_AXI_awready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_awregion : out STD_LOGIC;
    M02_AXI_awsize : out STD_LOGIC;
    M02_AXI_awvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_bready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_bresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M02_AXI_bvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_rdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    M02_AXI_rlast : in STD_LOGIC;
    M02_AXI_rready : out STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_rresp : in STD_LOGIC_VECTOR ( 1 downto 0 );
    M02_AXI_rvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_wdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    M02_AXI_wlast : out STD_LOGIC;
    M02_AXI_wready : in STD_LOGIC_VECTOR ( 0 to 0 );
    M02_AXI_wstrb : out STD_LOGIC_VECTOR ( 3 downto 0 );
    M02_AXI_wvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    S00_ACLK : in STD_LOGIC;
    S00_ARESETN : in STD_LOGIC_VECTOR ( 0 to 0 );
    S00_AXI_araddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S00_AXI_arburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S00_AXI_arcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S00_AXI_arid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    S00_AXI_arlen : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S00_AXI_arlock : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S00_AXI_arprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S00_AXI_arqos : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S00_AXI_arready : out STD_LOGIC;
    S00_AXI_arsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S00_AXI_arvalid : in STD_LOGIC;
    S00_AXI_awaddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S00_AXI_awburst : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S00_AXI_awcache : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S00_AXI_awid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    S00_AXI_awlen : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S00_AXI_awlock : in STD_LOGIC_VECTOR ( 1 downto 0 );
    S00_AXI_awprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S00_AXI_awqos : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S00_AXI_awready : out STD_LOGIC;
    S00_AXI_awsize : in STD_LOGIC_VECTOR ( 2 downto 0 );
    S00_AXI_awvalid : in STD_LOGIC;
    S00_AXI_bid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    S00_AXI_bready : in STD_LOGIC;
    S00_AXI_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S00_AXI_bvalid : out STD_LOGIC;
    S00_AXI_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    S00_AXI_rid : out STD_LOGIC_VECTOR ( 11 downto 0 );
    S00_AXI_rlast : out STD_LOGIC;
    S00_AXI_rready : in STD_LOGIC;
    S00_AXI_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    S00_AXI_rvalid : out STD_LOGIC;
    S00_AXI_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    S00_AXI_wid : in STD_LOGIC_VECTOR ( 11 downto 0 );
    S00_AXI_wlast : in STD_LOGIC;
    S00_AXI_wready : out STD_LOGIC;
    S00_AXI_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    S00_AXI_wvalid : in STD_LOGIC
  );
end design_1_processing_system7_1_axi_periph_0;

architecture STRUCTURE of design_1_processing_system7_1_axi_periph_0 is
  component design_1_xbar_1 is
  port (
    aclk : in STD_LOGIC;
    aresetn : in STD_LOGIC;
    s_axi_awaddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_awprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_awvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_awready : out STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_wvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_wready : out STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_bvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_bready : in STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_araddr : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_arprot : in STD_LOGIC_VECTOR ( 2 downto 0 );
    s_axi_arvalid : in STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_arready : out STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_rvalid : out STD_LOGIC_VECTOR ( 0 to 0 );
    s_axi_rready : in STD_LOGIC_VECTOR ( 0 to 0 );
    m_axi_awaddr : out STD_LOGIC_VECTOR ( 95 downto 0 );
    m_axi_awprot : out STD_LOGIC_VECTOR ( 8 downto 0 );
    m_axi_awvalid : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_awready : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_wdata : out STD_LOGIC_VECTOR ( 95 downto 0 );
    m_axi_wstrb : out STD_LOGIC_VECTOR ( 11 downto 0 );
    m_axi_wvalid : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_wready : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_bresp : in STD_LOGIC_VECTOR ( 5 downto 0 );
    m_axi_bvalid : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_bready : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_araddr : out STD_LOGIC_VECTOR ( 95 downto 0 );
    m_axi_arprot : out STD_LOGIC_VECTOR ( 8 downto 0 );
    m_axi_arvalid : out STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_arready : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_rdata : in STD_LOGIC_VECTOR ( 95 downto 0 );
    m_axi_rresp : in STD_LOGIC_VECTOR ( 5 downto 0 );
    m_axi_rvalid : in STD_LOGIC_VECTOR ( 2 downto 0 );
    m_axi_rready : out STD_LOGIC_VECTOR ( 2 downto 0 )
  );
  end component design_1_xbar_1;
  signal GND_1 : STD_LOGIC;
  signal m00_aclk_1 : STD_LOGIC;
  signal m00_aresetn_1 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_ARBURST : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARCACHE : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARLEN : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARLOCK : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARPROT : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARQOS : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_ARREGION : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARSIZE : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_AWBURST : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWCACHE : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWLEN : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWLOCK : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWPROT : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWQOS : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_AWREGION : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWSIZE : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_RLAST : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_WLAST : STD_LOGIC;
  signal m00_couplers_to_processing_system7_1_axi_periph_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal m00_couplers_to_processing_system7_1_axi_periph_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_aclk_1 : STD_LOGIC;
  signal m01_aresetn_1 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_ARBURST : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARCACHE : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARLEN : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARLOCK : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARPROT : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARQOS : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_ARREGION : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARSIZE : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_AWBURST : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWCACHE : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWLEN : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWLOCK : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWPROT : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWQOS : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_AWREGION : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWSIZE : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_RLAST : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_WLAST : STD_LOGIC;
  signal m01_couplers_to_processing_system7_1_axi_periph_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal m01_couplers_to_processing_system7_1_axi_periph_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_aclk_1 : STD_LOGIC;
  signal m02_aresetn_1 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_ARBURST : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARCACHE : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARLEN : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARLOCK : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARPROT : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARQOS : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_ARREGION : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARSIZE : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_AWBURST : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWCACHE : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWLEN : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWLOCK : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWPROT : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWQOS : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_AWREGION : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWSIZE : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_RLAST : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_WLAST : STD_LOGIC;
  signal m02_couplers_to_processing_system7_1_axi_periph_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal m02_couplers_to_processing_system7_1_axi_periph_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_ACLK_net : STD_LOGIC;
  signal processing_system7_1_axi_periph_ARESETN_net : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_ARSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_ARVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_AWSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_AWVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_BID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_BREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_BVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_RID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_RLAST : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_RREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_RVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_WID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_WLAST : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_WREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_to_s00_couplers_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_to_s00_couplers_WVALID : STD_LOGIC;
  signal s00_aclk_1 : STD_LOGIC;
  signal s00_aresetn_1 : STD_LOGIC_VECTOR ( 0 to 0 );
  signal s00_couplers_to_xbar_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_xbar_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal s00_couplers_to_xbar_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal s00_couplers_to_xbar_ARVALID : STD_LOGIC;
  signal s00_couplers_to_xbar_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_xbar_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal s00_couplers_to_xbar_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal s00_couplers_to_xbar_AWVALID : STD_LOGIC;
  signal s00_couplers_to_xbar_BREADY : STD_LOGIC;
  signal s00_couplers_to_xbar_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_xbar_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal s00_couplers_to_xbar_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_xbar_RREADY : STD_LOGIC;
  signal s00_couplers_to_xbar_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal s00_couplers_to_xbar_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal s00_couplers_to_xbar_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal s00_couplers_to_xbar_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal s00_couplers_to_xbar_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal s00_couplers_to_xbar_WVALID : STD_LOGIC;
  signal xbar_to_m00_couplers_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal xbar_to_m00_couplers_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal xbar_to_m00_couplers_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal xbar_to_m00_couplers_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal xbar_to_m00_couplers_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal xbar_to_m00_couplers_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal xbar_to_m00_couplers_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal xbar_to_m00_couplers_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal xbar_to_m00_couplers_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m00_couplers_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal xbar_to_m00_couplers_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m01_couplers_ARADDR : STD_LOGIC_VECTOR ( 63 downto 32 );
  signal xbar_to_m01_couplers_ARPROT : STD_LOGIC_VECTOR ( 5 downto 3 );
  signal xbar_to_m01_couplers_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m01_couplers_ARVALID : STD_LOGIC_VECTOR ( 1 to 1 );
  signal xbar_to_m01_couplers_AWADDR : STD_LOGIC_VECTOR ( 63 downto 32 );
  signal xbar_to_m01_couplers_AWPROT : STD_LOGIC_VECTOR ( 5 downto 3 );
  signal xbar_to_m01_couplers_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m01_couplers_AWVALID : STD_LOGIC_VECTOR ( 1 to 1 );
  signal xbar_to_m01_couplers_BREADY : STD_LOGIC_VECTOR ( 1 to 1 );
  signal xbar_to_m01_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal xbar_to_m01_couplers_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m01_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal xbar_to_m01_couplers_RREADY : STD_LOGIC_VECTOR ( 1 to 1 );
  signal xbar_to_m01_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal xbar_to_m01_couplers_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m01_couplers_WDATA : STD_LOGIC_VECTOR ( 63 downto 32 );
  signal xbar_to_m01_couplers_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m01_couplers_WSTRB : STD_LOGIC_VECTOR ( 7 downto 4 );
  signal xbar_to_m01_couplers_WVALID : STD_LOGIC_VECTOR ( 1 to 1 );
  signal xbar_to_m02_couplers_ARADDR : STD_LOGIC_VECTOR ( 95 downto 64 );
  signal xbar_to_m02_couplers_ARPROT : STD_LOGIC_VECTOR ( 8 downto 6 );
  signal xbar_to_m02_couplers_ARREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m02_couplers_ARVALID : STD_LOGIC_VECTOR ( 2 to 2 );
  signal xbar_to_m02_couplers_AWADDR : STD_LOGIC_VECTOR ( 95 downto 64 );
  signal xbar_to_m02_couplers_AWPROT : STD_LOGIC_VECTOR ( 8 downto 6 );
  signal xbar_to_m02_couplers_AWREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m02_couplers_AWVALID : STD_LOGIC_VECTOR ( 2 to 2 );
  signal xbar_to_m02_couplers_BREADY : STD_LOGIC_VECTOR ( 2 to 2 );
  signal xbar_to_m02_couplers_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal xbar_to_m02_couplers_BVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m02_couplers_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal xbar_to_m02_couplers_RREADY : STD_LOGIC_VECTOR ( 2 to 2 );
  signal xbar_to_m02_couplers_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal xbar_to_m02_couplers_RVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m02_couplers_WDATA : STD_LOGIC_VECTOR ( 95 downto 64 );
  signal xbar_to_m02_couplers_WREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal xbar_to_m02_couplers_WSTRB : STD_LOGIC_VECTOR ( 11 downto 8 );
  signal xbar_to_m02_couplers_WVALID : STD_LOGIC_VECTOR ( 2 to 2 );
  signal NLW_m00_couplers_S_AXI_rlast_UNCONNECTED : STD_LOGIC;
  signal NLW_m01_couplers_S_AXI_rlast_UNCONNECTED : STD_LOGIC;
  signal NLW_m02_couplers_S_AXI_rlast_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_arburst_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_arcache_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_arid_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_arlen_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_arlock_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_arqos_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_arsize_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_awburst_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_awcache_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_awid_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_awlen_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_awlock_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_awqos_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_awsize_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_wid_UNCONNECTED : STD_LOGIC;
  signal NLW_s00_couplers_M_AXI_wlast_UNCONNECTED : STD_LOGIC;
begin
  M00_AXI_araddr(8 downto 0) <= m00_couplers_to_processing_system7_1_axi_periph_ARADDR(8 downto 0);
  M00_AXI_arburst <= m00_couplers_to_processing_system7_1_axi_periph_ARBURST;
  M00_AXI_arcache <= m00_couplers_to_processing_system7_1_axi_periph_ARCACHE;
  M00_AXI_arlen <= m00_couplers_to_processing_system7_1_axi_periph_ARLEN;
  M00_AXI_arlock <= m00_couplers_to_processing_system7_1_axi_periph_ARLOCK;
  M00_AXI_arprot <= m00_couplers_to_processing_system7_1_axi_periph_ARPROT;
  M00_AXI_arqos <= m00_couplers_to_processing_system7_1_axi_periph_ARQOS;
  M00_AXI_arregion <= m00_couplers_to_processing_system7_1_axi_periph_ARREGION;
  M00_AXI_arsize <= m00_couplers_to_processing_system7_1_axi_periph_ARSIZE;
  M00_AXI_arvalid(0) <= m00_couplers_to_processing_system7_1_axi_periph_ARVALID(0);
  M00_AXI_awaddr(8 downto 0) <= m00_couplers_to_processing_system7_1_axi_periph_AWADDR(8 downto 0);
  M00_AXI_awburst <= m00_couplers_to_processing_system7_1_axi_periph_AWBURST;
  M00_AXI_awcache <= m00_couplers_to_processing_system7_1_axi_periph_AWCACHE;
  M00_AXI_awlen <= m00_couplers_to_processing_system7_1_axi_periph_AWLEN;
  M00_AXI_awlock <= m00_couplers_to_processing_system7_1_axi_periph_AWLOCK;
  M00_AXI_awprot <= m00_couplers_to_processing_system7_1_axi_periph_AWPROT;
  M00_AXI_awqos <= m00_couplers_to_processing_system7_1_axi_periph_AWQOS;
  M00_AXI_awregion <= m00_couplers_to_processing_system7_1_axi_periph_AWREGION;
  M00_AXI_awsize <= m00_couplers_to_processing_system7_1_axi_periph_AWSIZE;
  M00_AXI_awvalid(0) <= m00_couplers_to_processing_system7_1_axi_periph_AWVALID(0);
  M00_AXI_bready(0) <= m00_couplers_to_processing_system7_1_axi_periph_BREADY(0);
  M00_AXI_rready(0) <= m00_couplers_to_processing_system7_1_axi_periph_RREADY(0);
  M00_AXI_wdata(31 downto 0) <= m00_couplers_to_processing_system7_1_axi_periph_WDATA(31 downto 0);
  M00_AXI_wlast <= m00_couplers_to_processing_system7_1_axi_periph_WLAST;
  M00_AXI_wstrb(3 downto 0) <= m00_couplers_to_processing_system7_1_axi_periph_WSTRB(3 downto 0);
  M00_AXI_wvalid(0) <= m00_couplers_to_processing_system7_1_axi_periph_WVALID(0);
  M01_AXI_araddr(8 downto 0) <= m01_couplers_to_processing_system7_1_axi_periph_ARADDR(8 downto 0);
  M01_AXI_arburst <= m01_couplers_to_processing_system7_1_axi_periph_ARBURST;
  M01_AXI_arcache <= m01_couplers_to_processing_system7_1_axi_periph_ARCACHE;
  M01_AXI_arlen <= m01_couplers_to_processing_system7_1_axi_periph_ARLEN;
  M01_AXI_arlock <= m01_couplers_to_processing_system7_1_axi_periph_ARLOCK;
  M01_AXI_arprot <= m01_couplers_to_processing_system7_1_axi_periph_ARPROT;
  M01_AXI_arqos <= m01_couplers_to_processing_system7_1_axi_periph_ARQOS;
  M01_AXI_arregion <= m01_couplers_to_processing_system7_1_axi_periph_ARREGION;
  M01_AXI_arsize <= m01_couplers_to_processing_system7_1_axi_periph_ARSIZE;
  M01_AXI_arvalid(0) <= m01_couplers_to_processing_system7_1_axi_periph_ARVALID(0);
  M01_AXI_awaddr(8 downto 0) <= m01_couplers_to_processing_system7_1_axi_periph_AWADDR(8 downto 0);
  M01_AXI_awburst <= m01_couplers_to_processing_system7_1_axi_periph_AWBURST;
  M01_AXI_awcache <= m01_couplers_to_processing_system7_1_axi_periph_AWCACHE;
  M01_AXI_awlen <= m01_couplers_to_processing_system7_1_axi_periph_AWLEN;
  M01_AXI_awlock <= m01_couplers_to_processing_system7_1_axi_periph_AWLOCK;
  M01_AXI_awprot <= m01_couplers_to_processing_system7_1_axi_periph_AWPROT;
  M01_AXI_awqos <= m01_couplers_to_processing_system7_1_axi_periph_AWQOS;
  M01_AXI_awregion <= m01_couplers_to_processing_system7_1_axi_periph_AWREGION;
  M01_AXI_awsize <= m01_couplers_to_processing_system7_1_axi_periph_AWSIZE;
  M01_AXI_awvalid(0) <= m01_couplers_to_processing_system7_1_axi_periph_AWVALID(0);
  M01_AXI_bready(0) <= m01_couplers_to_processing_system7_1_axi_periph_BREADY(0);
  M01_AXI_rready(0) <= m01_couplers_to_processing_system7_1_axi_periph_RREADY(0);
  M01_AXI_wdata(31 downto 0) <= m01_couplers_to_processing_system7_1_axi_periph_WDATA(31 downto 0);
  M01_AXI_wlast <= m01_couplers_to_processing_system7_1_axi_periph_WLAST;
  M01_AXI_wstrb(3 downto 0) <= m01_couplers_to_processing_system7_1_axi_periph_WSTRB(3 downto 0);
  M01_AXI_wvalid(0) <= m01_couplers_to_processing_system7_1_axi_periph_WVALID(0);
  M02_AXI_araddr(8 downto 0) <= m02_couplers_to_processing_system7_1_axi_periph_ARADDR(8 downto 0);
  M02_AXI_arburst <= m02_couplers_to_processing_system7_1_axi_periph_ARBURST;
  M02_AXI_arcache <= m02_couplers_to_processing_system7_1_axi_periph_ARCACHE;
  M02_AXI_arlen <= m02_couplers_to_processing_system7_1_axi_periph_ARLEN;
  M02_AXI_arlock <= m02_couplers_to_processing_system7_1_axi_periph_ARLOCK;
  M02_AXI_arprot <= m02_couplers_to_processing_system7_1_axi_periph_ARPROT;
  M02_AXI_arqos <= m02_couplers_to_processing_system7_1_axi_periph_ARQOS;
  M02_AXI_arregion <= m02_couplers_to_processing_system7_1_axi_periph_ARREGION;
  M02_AXI_arsize <= m02_couplers_to_processing_system7_1_axi_periph_ARSIZE;
  M02_AXI_arvalid(0) <= m02_couplers_to_processing_system7_1_axi_periph_ARVALID(0);
  M02_AXI_awaddr(8 downto 0) <= m02_couplers_to_processing_system7_1_axi_periph_AWADDR(8 downto 0);
  M02_AXI_awburst <= m02_couplers_to_processing_system7_1_axi_periph_AWBURST;
  M02_AXI_awcache <= m02_couplers_to_processing_system7_1_axi_periph_AWCACHE;
  M02_AXI_awlen <= m02_couplers_to_processing_system7_1_axi_periph_AWLEN;
  M02_AXI_awlock <= m02_couplers_to_processing_system7_1_axi_periph_AWLOCK;
  M02_AXI_awprot <= m02_couplers_to_processing_system7_1_axi_periph_AWPROT;
  M02_AXI_awqos <= m02_couplers_to_processing_system7_1_axi_periph_AWQOS;
  M02_AXI_awregion <= m02_couplers_to_processing_system7_1_axi_periph_AWREGION;
  M02_AXI_awsize <= m02_couplers_to_processing_system7_1_axi_periph_AWSIZE;
  M02_AXI_awvalid(0) <= m02_couplers_to_processing_system7_1_axi_periph_AWVALID(0);
  M02_AXI_bready(0) <= m02_couplers_to_processing_system7_1_axi_periph_BREADY(0);
  M02_AXI_rready(0) <= m02_couplers_to_processing_system7_1_axi_periph_RREADY(0);
  M02_AXI_wdata(31 downto 0) <= m02_couplers_to_processing_system7_1_axi_periph_WDATA(31 downto 0);
  M02_AXI_wlast <= m02_couplers_to_processing_system7_1_axi_periph_WLAST;
  M02_AXI_wstrb(3 downto 0) <= m02_couplers_to_processing_system7_1_axi_periph_WSTRB(3 downto 0);
  M02_AXI_wvalid(0) <= m02_couplers_to_processing_system7_1_axi_periph_WVALID(0);
  S00_AXI_arready <= processing_system7_1_axi_periph_to_s00_couplers_ARREADY;
  S00_AXI_awready <= processing_system7_1_axi_periph_to_s00_couplers_AWREADY;
  S00_AXI_bid(11 downto 0) <= processing_system7_1_axi_periph_to_s00_couplers_BID(11 downto 0);
  S00_AXI_bresp(1 downto 0) <= processing_system7_1_axi_periph_to_s00_couplers_BRESP(1 downto 0);
  S00_AXI_bvalid <= processing_system7_1_axi_periph_to_s00_couplers_BVALID;
  S00_AXI_rdata(31 downto 0) <= processing_system7_1_axi_periph_to_s00_couplers_RDATA(31 downto 0);
  S00_AXI_rid(11 downto 0) <= processing_system7_1_axi_periph_to_s00_couplers_RID(11 downto 0);
  S00_AXI_rlast <= processing_system7_1_axi_periph_to_s00_couplers_RLAST;
  S00_AXI_rresp(1 downto 0) <= processing_system7_1_axi_periph_to_s00_couplers_RRESP(1 downto 0);
  S00_AXI_rvalid <= processing_system7_1_axi_periph_to_s00_couplers_RVALID;
  S00_AXI_wready <= processing_system7_1_axi_periph_to_s00_couplers_WREADY;
  m00_aclk_1 <= M00_ACLK;
  m00_aresetn_1(0) <= M00_ARESETN(0);
  m00_couplers_to_processing_system7_1_axi_periph_ARREADY(0) <= M00_AXI_arready(0);
  m00_couplers_to_processing_system7_1_axi_periph_AWREADY(0) <= M00_AXI_awready(0);
  m00_couplers_to_processing_system7_1_axi_periph_BRESP(1 downto 0) <= M00_AXI_bresp(1 downto 0);
  m00_couplers_to_processing_system7_1_axi_periph_BVALID(0) <= M00_AXI_bvalid(0);
  m00_couplers_to_processing_system7_1_axi_periph_RDATA(31 downto 0) <= M00_AXI_rdata(31 downto 0);
  m00_couplers_to_processing_system7_1_axi_periph_RLAST <= M00_AXI_rlast;
  m00_couplers_to_processing_system7_1_axi_periph_RRESP(1 downto 0) <= M00_AXI_rresp(1 downto 0);
  m00_couplers_to_processing_system7_1_axi_periph_RVALID(0) <= M00_AXI_rvalid(0);
  m00_couplers_to_processing_system7_1_axi_periph_WREADY(0) <= M00_AXI_wready(0);
  m01_aclk_1 <= M01_ACLK;
  m01_aresetn_1(0) <= M01_ARESETN(0);
  m01_couplers_to_processing_system7_1_axi_periph_ARREADY(0) <= M01_AXI_arready(0);
  m01_couplers_to_processing_system7_1_axi_periph_AWREADY(0) <= M01_AXI_awready(0);
  m01_couplers_to_processing_system7_1_axi_periph_BRESP(1 downto 0) <= M01_AXI_bresp(1 downto 0);
  m01_couplers_to_processing_system7_1_axi_periph_BVALID(0) <= M01_AXI_bvalid(0);
  m01_couplers_to_processing_system7_1_axi_periph_RDATA(31 downto 0) <= M01_AXI_rdata(31 downto 0);
  m01_couplers_to_processing_system7_1_axi_periph_RLAST <= M01_AXI_rlast;
  m01_couplers_to_processing_system7_1_axi_periph_RRESP(1 downto 0) <= M01_AXI_rresp(1 downto 0);
  m01_couplers_to_processing_system7_1_axi_periph_RVALID(0) <= M01_AXI_rvalid(0);
  m01_couplers_to_processing_system7_1_axi_periph_WREADY(0) <= M01_AXI_wready(0);
  m02_aclk_1 <= M02_ACLK;
  m02_aresetn_1(0) <= M02_ARESETN(0);
  m02_couplers_to_processing_system7_1_axi_periph_ARREADY(0) <= M02_AXI_arready(0);
  m02_couplers_to_processing_system7_1_axi_periph_AWREADY(0) <= M02_AXI_awready(0);
  m02_couplers_to_processing_system7_1_axi_periph_BRESP(1 downto 0) <= M02_AXI_bresp(1 downto 0);
  m02_couplers_to_processing_system7_1_axi_periph_BVALID(0) <= M02_AXI_bvalid(0);
  m02_couplers_to_processing_system7_1_axi_periph_RDATA(31 downto 0) <= M02_AXI_rdata(31 downto 0);
  m02_couplers_to_processing_system7_1_axi_periph_RLAST <= M02_AXI_rlast;
  m02_couplers_to_processing_system7_1_axi_periph_RRESP(1 downto 0) <= M02_AXI_rresp(1 downto 0);
  m02_couplers_to_processing_system7_1_axi_periph_RVALID(0) <= M02_AXI_rvalid(0);
  m02_couplers_to_processing_system7_1_axi_periph_WREADY(0) <= M02_AXI_wready(0);
  processing_system7_1_axi_periph_ACLK_net <= ACLK;
  processing_system7_1_axi_periph_ARESETN_net(0) <= ARESETN(0);
  processing_system7_1_axi_periph_to_s00_couplers_ARADDR(31 downto 0) <= S00_AXI_araddr(31 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARBURST(1 downto 0) <= S00_AXI_arburst(1 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARCACHE(3 downto 0) <= S00_AXI_arcache(3 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARID(11 downto 0) <= S00_AXI_arid(11 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARLEN(3 downto 0) <= S00_AXI_arlen(3 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARLOCK(1 downto 0) <= S00_AXI_arlock(1 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARPROT(2 downto 0) <= S00_AXI_arprot(2 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARQOS(3 downto 0) <= S00_AXI_arqos(3 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARSIZE(2 downto 0) <= S00_AXI_arsize(2 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_ARVALID <= S00_AXI_arvalid;
  processing_system7_1_axi_periph_to_s00_couplers_AWADDR(31 downto 0) <= S00_AXI_awaddr(31 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWBURST(1 downto 0) <= S00_AXI_awburst(1 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWCACHE(3 downto 0) <= S00_AXI_awcache(3 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWID(11 downto 0) <= S00_AXI_awid(11 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWLEN(3 downto 0) <= S00_AXI_awlen(3 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWLOCK(1 downto 0) <= S00_AXI_awlock(1 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWPROT(2 downto 0) <= S00_AXI_awprot(2 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWQOS(3 downto 0) <= S00_AXI_awqos(3 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWSIZE(2 downto 0) <= S00_AXI_awsize(2 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_AWVALID <= S00_AXI_awvalid;
  processing_system7_1_axi_periph_to_s00_couplers_BREADY <= S00_AXI_bready;
  processing_system7_1_axi_periph_to_s00_couplers_RREADY <= S00_AXI_rready;
  processing_system7_1_axi_periph_to_s00_couplers_WDATA(31 downto 0) <= S00_AXI_wdata(31 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_WID(11 downto 0) <= S00_AXI_wid(11 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_WLAST <= S00_AXI_wlast;
  processing_system7_1_axi_periph_to_s00_couplers_WSTRB(3 downto 0) <= S00_AXI_wstrb(3 downto 0);
  processing_system7_1_axi_periph_to_s00_couplers_WVALID <= S00_AXI_wvalid;
  s00_aclk_1 <= S00_ACLK;
  s00_aresetn_1(0) <= S00_ARESETN(0);
GND: unisim.vcomponents.GND
    port map (
      G => GND_1
    );
m00_couplers: entity work.m00_couplers_imp_1N1SYRA
    port map (
      M_ACLK => m00_aclk_1,
      M_ARESETN(0) => m00_aresetn_1(0),
      M_AXI_araddr(8 downto 0) => m00_couplers_to_processing_system7_1_axi_periph_ARADDR(8 downto 0),
      M_AXI_arburst => m00_couplers_to_processing_system7_1_axi_periph_ARBURST,
      M_AXI_arcache => m00_couplers_to_processing_system7_1_axi_periph_ARCACHE,
      M_AXI_arlen => m00_couplers_to_processing_system7_1_axi_periph_ARLEN,
      M_AXI_arlock => m00_couplers_to_processing_system7_1_axi_periph_ARLOCK,
      M_AXI_arprot => m00_couplers_to_processing_system7_1_axi_periph_ARPROT,
      M_AXI_arqos => m00_couplers_to_processing_system7_1_axi_periph_ARQOS,
      M_AXI_arready(0) => m00_couplers_to_processing_system7_1_axi_periph_ARREADY(0),
      M_AXI_arregion => m00_couplers_to_processing_system7_1_axi_periph_ARREGION,
      M_AXI_arsize => m00_couplers_to_processing_system7_1_axi_periph_ARSIZE,
      M_AXI_arvalid(0) => m00_couplers_to_processing_system7_1_axi_periph_ARVALID(0),
      M_AXI_awaddr(8 downto 0) => m00_couplers_to_processing_system7_1_axi_periph_AWADDR(8 downto 0),
      M_AXI_awburst => m00_couplers_to_processing_system7_1_axi_periph_AWBURST,
      M_AXI_awcache => m00_couplers_to_processing_system7_1_axi_periph_AWCACHE,
      M_AXI_awlen => m00_couplers_to_processing_system7_1_axi_periph_AWLEN,
      M_AXI_awlock => m00_couplers_to_processing_system7_1_axi_periph_AWLOCK,
      M_AXI_awprot => m00_couplers_to_processing_system7_1_axi_periph_AWPROT,
      M_AXI_awqos => m00_couplers_to_processing_system7_1_axi_periph_AWQOS,
      M_AXI_awready(0) => m00_couplers_to_processing_system7_1_axi_periph_AWREADY(0),
      M_AXI_awregion => m00_couplers_to_processing_system7_1_axi_periph_AWREGION,
      M_AXI_awsize => m00_couplers_to_processing_system7_1_axi_periph_AWSIZE,
      M_AXI_awvalid(0) => m00_couplers_to_processing_system7_1_axi_periph_AWVALID(0),
      M_AXI_bready(0) => m00_couplers_to_processing_system7_1_axi_periph_BREADY(0),
      M_AXI_bresp(1 downto 0) => m00_couplers_to_processing_system7_1_axi_periph_BRESP(1 downto 0),
      M_AXI_bvalid(0) => m00_couplers_to_processing_system7_1_axi_periph_BVALID(0),
      M_AXI_rdata(31 downto 0) => m00_couplers_to_processing_system7_1_axi_periph_RDATA(31 downto 0),
      M_AXI_rlast => m00_couplers_to_processing_system7_1_axi_periph_RLAST,
      M_AXI_rready(0) => m00_couplers_to_processing_system7_1_axi_periph_RREADY(0),
      M_AXI_rresp(1 downto 0) => m00_couplers_to_processing_system7_1_axi_periph_RRESP(1 downto 0),
      M_AXI_rvalid(0) => m00_couplers_to_processing_system7_1_axi_periph_RVALID(0),
      M_AXI_wdata(31 downto 0) => m00_couplers_to_processing_system7_1_axi_periph_WDATA(31 downto 0),
      M_AXI_wlast => m00_couplers_to_processing_system7_1_axi_periph_WLAST,
      M_AXI_wready(0) => m00_couplers_to_processing_system7_1_axi_periph_WREADY(0),
      M_AXI_wstrb(3 downto 0) => m00_couplers_to_processing_system7_1_axi_periph_WSTRB(3 downto 0),
      M_AXI_wvalid(0) => m00_couplers_to_processing_system7_1_axi_periph_WVALID(0),
      S_ACLK => processing_system7_1_axi_periph_ACLK_net,
      S_ARESETN(0) => processing_system7_1_axi_periph_ARESETN_net(0),
      S_AXI_araddr(8 downto 0) => xbar_to_m00_couplers_ARADDR(8 downto 0),
      S_AXI_arburst => GND_1,
      S_AXI_arcache => GND_1,
      S_AXI_arlen => GND_1,
      S_AXI_arlock => GND_1,
      S_AXI_arprot => xbar_to_m00_couplers_ARPROT(0),
      S_AXI_arqos => GND_1,
      S_AXI_arready(0) => xbar_to_m00_couplers_ARREADY(0),
      S_AXI_arregion => GND_1,
      S_AXI_arsize => GND_1,
      S_AXI_arvalid(0) => xbar_to_m00_couplers_ARVALID(0),
      S_AXI_awaddr(8 downto 0) => xbar_to_m00_couplers_AWADDR(8 downto 0),
      S_AXI_awburst => GND_1,
      S_AXI_awcache => GND_1,
      S_AXI_awlen => GND_1,
      S_AXI_awlock => GND_1,
      S_AXI_awprot => xbar_to_m00_couplers_AWPROT(0),
      S_AXI_awqos => GND_1,
      S_AXI_awready(0) => xbar_to_m00_couplers_AWREADY(0),
      S_AXI_awregion => GND_1,
      S_AXI_awsize => GND_1,
      S_AXI_awvalid(0) => xbar_to_m00_couplers_AWVALID(0),
      S_AXI_bready(0) => xbar_to_m00_couplers_BREADY(0),
      S_AXI_bresp(1 downto 0) => xbar_to_m00_couplers_BRESP(1 downto 0),
      S_AXI_bvalid(0) => xbar_to_m00_couplers_BVALID(0),
      S_AXI_rdata(31 downto 0) => xbar_to_m00_couplers_RDATA(31 downto 0),
      S_AXI_rlast => NLW_m00_couplers_S_AXI_rlast_UNCONNECTED,
      S_AXI_rready(0) => xbar_to_m00_couplers_RREADY(0),
      S_AXI_rresp(1 downto 0) => xbar_to_m00_couplers_RRESP(1 downto 0),
      S_AXI_rvalid(0) => xbar_to_m00_couplers_RVALID(0),
      S_AXI_wdata(31 downto 0) => xbar_to_m00_couplers_WDATA(31 downto 0),
      S_AXI_wlast => GND_1,
      S_AXI_wready(0) => xbar_to_m00_couplers_WREADY(0),
      S_AXI_wstrb(3 downto 0) => xbar_to_m00_couplers_WSTRB(3 downto 0),
      S_AXI_wvalid(0) => xbar_to_m00_couplers_WVALID(0)
    );
m01_couplers: entity work.m01_couplers_imp_GDZ1S8
    port map (
      M_ACLK => m01_aclk_1,
      M_ARESETN(0) => m01_aresetn_1(0),
      M_AXI_araddr(8 downto 0) => m01_couplers_to_processing_system7_1_axi_periph_ARADDR(8 downto 0),
      M_AXI_arburst => m01_couplers_to_processing_system7_1_axi_periph_ARBURST,
      M_AXI_arcache => m01_couplers_to_processing_system7_1_axi_periph_ARCACHE,
      M_AXI_arlen => m01_couplers_to_processing_system7_1_axi_periph_ARLEN,
      M_AXI_arlock => m01_couplers_to_processing_system7_1_axi_periph_ARLOCK,
      M_AXI_arprot => m01_couplers_to_processing_system7_1_axi_periph_ARPROT,
      M_AXI_arqos => m01_couplers_to_processing_system7_1_axi_periph_ARQOS,
      M_AXI_arready(0) => m01_couplers_to_processing_system7_1_axi_periph_ARREADY(0),
      M_AXI_arregion => m01_couplers_to_processing_system7_1_axi_periph_ARREGION,
      M_AXI_arsize => m01_couplers_to_processing_system7_1_axi_periph_ARSIZE,
      M_AXI_arvalid(0) => m01_couplers_to_processing_system7_1_axi_periph_ARVALID(0),
      M_AXI_awaddr(8 downto 0) => m01_couplers_to_processing_system7_1_axi_periph_AWADDR(8 downto 0),
      M_AXI_awburst => m01_couplers_to_processing_system7_1_axi_periph_AWBURST,
      M_AXI_awcache => m01_couplers_to_processing_system7_1_axi_periph_AWCACHE,
      M_AXI_awlen => m01_couplers_to_processing_system7_1_axi_periph_AWLEN,
      M_AXI_awlock => m01_couplers_to_processing_system7_1_axi_periph_AWLOCK,
      M_AXI_awprot => m01_couplers_to_processing_system7_1_axi_periph_AWPROT,
      M_AXI_awqos => m01_couplers_to_processing_system7_1_axi_periph_AWQOS,
      M_AXI_awready(0) => m01_couplers_to_processing_system7_1_axi_periph_AWREADY(0),
      M_AXI_awregion => m01_couplers_to_processing_system7_1_axi_periph_AWREGION,
      M_AXI_awsize => m01_couplers_to_processing_system7_1_axi_periph_AWSIZE,
      M_AXI_awvalid(0) => m01_couplers_to_processing_system7_1_axi_periph_AWVALID(0),
      M_AXI_bready(0) => m01_couplers_to_processing_system7_1_axi_periph_BREADY(0),
      M_AXI_bresp(1 downto 0) => m01_couplers_to_processing_system7_1_axi_periph_BRESP(1 downto 0),
      M_AXI_bvalid(0) => m01_couplers_to_processing_system7_1_axi_periph_BVALID(0),
      M_AXI_rdata(31 downto 0) => m01_couplers_to_processing_system7_1_axi_periph_RDATA(31 downto 0),
      M_AXI_rlast => m01_couplers_to_processing_system7_1_axi_periph_RLAST,
      M_AXI_rready(0) => m01_couplers_to_processing_system7_1_axi_periph_RREADY(0),
      M_AXI_rresp(1 downto 0) => m01_couplers_to_processing_system7_1_axi_periph_RRESP(1 downto 0),
      M_AXI_rvalid(0) => m01_couplers_to_processing_system7_1_axi_periph_RVALID(0),
      M_AXI_wdata(31 downto 0) => m01_couplers_to_processing_system7_1_axi_periph_WDATA(31 downto 0),
      M_AXI_wlast => m01_couplers_to_processing_system7_1_axi_periph_WLAST,
      M_AXI_wready(0) => m01_couplers_to_processing_system7_1_axi_periph_WREADY(0),
      M_AXI_wstrb(3 downto 0) => m01_couplers_to_processing_system7_1_axi_periph_WSTRB(3 downto 0),
      M_AXI_wvalid(0) => m01_couplers_to_processing_system7_1_axi_periph_WVALID(0),
      S_ACLK => processing_system7_1_axi_periph_ACLK_net,
      S_ARESETN(0) => processing_system7_1_axi_periph_ARESETN_net(0),
      S_AXI_araddr(8 downto 0) => xbar_to_m01_couplers_ARADDR(40 downto 32),
      S_AXI_arburst => GND_1,
      S_AXI_arcache => GND_1,
      S_AXI_arlen => GND_1,
      S_AXI_arlock => GND_1,
      S_AXI_arprot => xbar_to_m01_couplers_ARPROT(3),
      S_AXI_arqos => GND_1,
      S_AXI_arready(0) => xbar_to_m01_couplers_ARREADY(0),
      S_AXI_arregion => GND_1,
      S_AXI_arsize => GND_1,
      S_AXI_arvalid(0) => xbar_to_m01_couplers_ARVALID(1),
      S_AXI_awaddr(8 downto 0) => xbar_to_m01_couplers_AWADDR(40 downto 32),
      S_AXI_awburst => GND_1,
      S_AXI_awcache => GND_1,
      S_AXI_awlen => GND_1,
      S_AXI_awlock => GND_1,
      S_AXI_awprot => xbar_to_m01_couplers_AWPROT(3),
      S_AXI_awqos => GND_1,
      S_AXI_awready(0) => xbar_to_m01_couplers_AWREADY(0),
      S_AXI_awregion => GND_1,
      S_AXI_awsize => GND_1,
      S_AXI_awvalid(0) => xbar_to_m01_couplers_AWVALID(1),
      S_AXI_bready(0) => xbar_to_m01_couplers_BREADY(1),
      S_AXI_bresp(1 downto 0) => xbar_to_m01_couplers_BRESP(1 downto 0),
      S_AXI_bvalid(0) => xbar_to_m01_couplers_BVALID(0),
      S_AXI_rdata(31 downto 0) => xbar_to_m01_couplers_RDATA(31 downto 0),
      S_AXI_rlast => NLW_m01_couplers_S_AXI_rlast_UNCONNECTED,
      S_AXI_rready(0) => xbar_to_m01_couplers_RREADY(1),
      S_AXI_rresp(1 downto 0) => xbar_to_m01_couplers_RRESP(1 downto 0),
      S_AXI_rvalid(0) => xbar_to_m01_couplers_RVALID(0),
      S_AXI_wdata(31 downto 0) => xbar_to_m01_couplers_WDATA(63 downto 32),
      S_AXI_wlast => GND_1,
      S_AXI_wready(0) => xbar_to_m01_couplers_WREADY(0),
      S_AXI_wstrb(3 downto 0) => xbar_to_m01_couplers_WSTRB(7 downto 4),
      S_AXI_wvalid(0) => xbar_to_m01_couplers_WVALID(1)
    );
m02_couplers: entity work.m02_couplers_imp_1LR7J63
    port map (
      M_ACLK => m02_aclk_1,
      M_ARESETN(0) => m02_aresetn_1(0),
      M_AXI_araddr(8 downto 0) => m02_couplers_to_processing_system7_1_axi_periph_ARADDR(8 downto 0),
      M_AXI_arburst => m02_couplers_to_processing_system7_1_axi_periph_ARBURST,
      M_AXI_arcache => m02_couplers_to_processing_system7_1_axi_periph_ARCACHE,
      M_AXI_arlen => m02_couplers_to_processing_system7_1_axi_periph_ARLEN,
      M_AXI_arlock => m02_couplers_to_processing_system7_1_axi_periph_ARLOCK,
      M_AXI_arprot => m02_couplers_to_processing_system7_1_axi_periph_ARPROT,
      M_AXI_arqos => m02_couplers_to_processing_system7_1_axi_periph_ARQOS,
      M_AXI_arready(0) => m02_couplers_to_processing_system7_1_axi_periph_ARREADY(0),
      M_AXI_arregion => m02_couplers_to_processing_system7_1_axi_periph_ARREGION,
      M_AXI_arsize => m02_couplers_to_processing_system7_1_axi_periph_ARSIZE,
      M_AXI_arvalid(0) => m02_couplers_to_processing_system7_1_axi_periph_ARVALID(0),
      M_AXI_awaddr(8 downto 0) => m02_couplers_to_processing_system7_1_axi_periph_AWADDR(8 downto 0),
      M_AXI_awburst => m02_couplers_to_processing_system7_1_axi_periph_AWBURST,
      M_AXI_awcache => m02_couplers_to_processing_system7_1_axi_periph_AWCACHE,
      M_AXI_awlen => m02_couplers_to_processing_system7_1_axi_periph_AWLEN,
      M_AXI_awlock => m02_couplers_to_processing_system7_1_axi_periph_AWLOCK,
      M_AXI_awprot => m02_couplers_to_processing_system7_1_axi_periph_AWPROT,
      M_AXI_awqos => m02_couplers_to_processing_system7_1_axi_periph_AWQOS,
      M_AXI_awready(0) => m02_couplers_to_processing_system7_1_axi_periph_AWREADY(0),
      M_AXI_awregion => m02_couplers_to_processing_system7_1_axi_periph_AWREGION,
      M_AXI_awsize => m02_couplers_to_processing_system7_1_axi_periph_AWSIZE,
      M_AXI_awvalid(0) => m02_couplers_to_processing_system7_1_axi_periph_AWVALID(0),
      M_AXI_bready(0) => m02_couplers_to_processing_system7_1_axi_periph_BREADY(0),
      M_AXI_bresp(1 downto 0) => m02_couplers_to_processing_system7_1_axi_periph_BRESP(1 downto 0),
      M_AXI_bvalid(0) => m02_couplers_to_processing_system7_1_axi_periph_BVALID(0),
      M_AXI_rdata(31 downto 0) => m02_couplers_to_processing_system7_1_axi_periph_RDATA(31 downto 0),
      M_AXI_rlast => m02_couplers_to_processing_system7_1_axi_periph_RLAST,
      M_AXI_rready(0) => m02_couplers_to_processing_system7_1_axi_periph_RREADY(0),
      M_AXI_rresp(1 downto 0) => m02_couplers_to_processing_system7_1_axi_periph_RRESP(1 downto 0),
      M_AXI_rvalid(0) => m02_couplers_to_processing_system7_1_axi_periph_RVALID(0),
      M_AXI_wdata(31 downto 0) => m02_couplers_to_processing_system7_1_axi_periph_WDATA(31 downto 0),
      M_AXI_wlast => m02_couplers_to_processing_system7_1_axi_periph_WLAST,
      M_AXI_wready(0) => m02_couplers_to_processing_system7_1_axi_periph_WREADY(0),
      M_AXI_wstrb(3 downto 0) => m02_couplers_to_processing_system7_1_axi_periph_WSTRB(3 downto 0),
      M_AXI_wvalid(0) => m02_couplers_to_processing_system7_1_axi_periph_WVALID(0),
      S_ACLK => processing_system7_1_axi_periph_ACLK_net,
      S_ARESETN(0) => processing_system7_1_axi_periph_ARESETN_net(0),
      S_AXI_araddr(8 downto 0) => xbar_to_m02_couplers_ARADDR(72 downto 64),
      S_AXI_arburst => GND_1,
      S_AXI_arcache => GND_1,
      S_AXI_arlen => GND_1,
      S_AXI_arlock => GND_1,
      S_AXI_arprot => xbar_to_m02_couplers_ARPROT(6),
      S_AXI_arqos => GND_1,
      S_AXI_arready(0) => xbar_to_m02_couplers_ARREADY(0),
      S_AXI_arregion => GND_1,
      S_AXI_arsize => GND_1,
      S_AXI_arvalid(0) => xbar_to_m02_couplers_ARVALID(2),
      S_AXI_awaddr(8 downto 0) => xbar_to_m02_couplers_AWADDR(72 downto 64),
      S_AXI_awburst => GND_1,
      S_AXI_awcache => GND_1,
      S_AXI_awlen => GND_1,
      S_AXI_awlock => GND_1,
      S_AXI_awprot => xbar_to_m02_couplers_AWPROT(6),
      S_AXI_awqos => GND_1,
      S_AXI_awready(0) => xbar_to_m02_couplers_AWREADY(0),
      S_AXI_awregion => GND_1,
      S_AXI_awsize => GND_1,
      S_AXI_awvalid(0) => xbar_to_m02_couplers_AWVALID(2),
      S_AXI_bready(0) => xbar_to_m02_couplers_BREADY(2),
      S_AXI_bresp(1 downto 0) => xbar_to_m02_couplers_BRESP(1 downto 0),
      S_AXI_bvalid(0) => xbar_to_m02_couplers_BVALID(0),
      S_AXI_rdata(31 downto 0) => xbar_to_m02_couplers_RDATA(31 downto 0),
      S_AXI_rlast => NLW_m02_couplers_S_AXI_rlast_UNCONNECTED,
      S_AXI_rready(0) => xbar_to_m02_couplers_RREADY(2),
      S_AXI_rresp(1 downto 0) => xbar_to_m02_couplers_RRESP(1 downto 0),
      S_AXI_rvalid(0) => xbar_to_m02_couplers_RVALID(0),
      S_AXI_wdata(31 downto 0) => xbar_to_m02_couplers_WDATA(95 downto 64),
      S_AXI_wlast => GND_1,
      S_AXI_wready(0) => xbar_to_m02_couplers_WREADY(0),
      S_AXI_wstrb(3 downto 0) => xbar_to_m02_couplers_WSTRB(11 downto 8),
      S_AXI_wvalid(0) => xbar_to_m02_couplers_WVALID(2)
    );
s00_couplers: entity work.s00_couplers_imp_DV8YS4
    port map (
      M_ACLK => processing_system7_1_axi_periph_ACLK_net,
      M_ARESETN(0) => processing_system7_1_axi_periph_ARESETN_net(0),
      M_AXI_araddr(31 downto 0) => s00_couplers_to_xbar_ARADDR(31 downto 0),
      M_AXI_arburst => NLW_s00_couplers_M_AXI_arburst_UNCONNECTED,
      M_AXI_arcache => NLW_s00_couplers_M_AXI_arcache_UNCONNECTED,
      M_AXI_arid => NLW_s00_couplers_M_AXI_arid_UNCONNECTED,
      M_AXI_arlen => NLW_s00_couplers_M_AXI_arlen_UNCONNECTED,
      M_AXI_arlock => NLW_s00_couplers_M_AXI_arlock_UNCONNECTED,
      M_AXI_arprot(2 downto 0) => s00_couplers_to_xbar_ARPROT(2 downto 0),
      M_AXI_arqos => NLW_s00_couplers_M_AXI_arqos_UNCONNECTED,
      M_AXI_arready => s00_couplers_to_xbar_ARREADY(0),
      M_AXI_arsize => NLW_s00_couplers_M_AXI_arsize_UNCONNECTED,
      M_AXI_arvalid => s00_couplers_to_xbar_ARVALID,
      M_AXI_awaddr(31 downto 0) => s00_couplers_to_xbar_AWADDR(31 downto 0),
      M_AXI_awburst => NLW_s00_couplers_M_AXI_awburst_UNCONNECTED,
      M_AXI_awcache => NLW_s00_couplers_M_AXI_awcache_UNCONNECTED,
      M_AXI_awid => NLW_s00_couplers_M_AXI_awid_UNCONNECTED,
      M_AXI_awlen => NLW_s00_couplers_M_AXI_awlen_UNCONNECTED,
      M_AXI_awlock => NLW_s00_couplers_M_AXI_awlock_UNCONNECTED,
      M_AXI_awprot(2 downto 0) => s00_couplers_to_xbar_AWPROT(2 downto 0),
      M_AXI_awqos => NLW_s00_couplers_M_AXI_awqos_UNCONNECTED,
      M_AXI_awready => s00_couplers_to_xbar_AWREADY(0),
      M_AXI_awsize => NLW_s00_couplers_M_AXI_awsize_UNCONNECTED,
      M_AXI_awvalid => s00_couplers_to_xbar_AWVALID,
      M_AXI_bid => GND_1,
      M_AXI_bready => s00_couplers_to_xbar_BREADY,
      M_AXI_bresp(1 downto 0) => s00_couplers_to_xbar_BRESP(1 downto 0),
      M_AXI_bvalid => s00_couplers_to_xbar_BVALID(0),
      M_AXI_rdata(31 downto 0) => s00_couplers_to_xbar_RDATA(31 downto 0),
      M_AXI_rid => GND_1,
      M_AXI_rlast => GND_1,
      M_AXI_rready => s00_couplers_to_xbar_RREADY,
      M_AXI_rresp(1 downto 0) => s00_couplers_to_xbar_RRESP(1 downto 0),
      M_AXI_rvalid => s00_couplers_to_xbar_RVALID(0),
      M_AXI_wdata(31 downto 0) => s00_couplers_to_xbar_WDATA(31 downto 0),
      M_AXI_wid => NLW_s00_couplers_M_AXI_wid_UNCONNECTED,
      M_AXI_wlast => NLW_s00_couplers_M_AXI_wlast_UNCONNECTED,
      M_AXI_wready => s00_couplers_to_xbar_WREADY(0),
      M_AXI_wstrb(3 downto 0) => s00_couplers_to_xbar_WSTRB(3 downto 0),
      M_AXI_wvalid => s00_couplers_to_xbar_WVALID,
      S_ACLK => s00_aclk_1,
      S_ARESETN(0) => s00_aresetn_1(0),
      S_AXI_araddr(31 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARADDR(31 downto 0),
      S_AXI_arburst(1 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARBURST(1 downto 0),
      S_AXI_arcache(3 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARCACHE(3 downto 0),
      S_AXI_arid(11 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARID(11 downto 0),
      S_AXI_arlen(3 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARLEN(3 downto 0),
      S_AXI_arlock(1 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARLOCK(1 downto 0),
      S_AXI_arprot(2 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARPROT(2 downto 0),
      S_AXI_arqos(3 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARQOS(3 downto 0),
      S_AXI_arready => processing_system7_1_axi_periph_to_s00_couplers_ARREADY,
      S_AXI_arsize(2 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_ARSIZE(2 downto 0),
      S_AXI_arvalid => processing_system7_1_axi_periph_to_s00_couplers_ARVALID,
      S_AXI_awaddr(31 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWADDR(31 downto 0),
      S_AXI_awburst(1 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWBURST(1 downto 0),
      S_AXI_awcache(3 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWCACHE(3 downto 0),
      S_AXI_awid(11 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWID(11 downto 0),
      S_AXI_awlen(3 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWLEN(3 downto 0),
      S_AXI_awlock(1 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWLOCK(1 downto 0),
      S_AXI_awprot(2 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWPROT(2 downto 0),
      S_AXI_awqos(3 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWQOS(3 downto 0),
      S_AXI_awready => processing_system7_1_axi_periph_to_s00_couplers_AWREADY,
      S_AXI_awsize(2 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_AWSIZE(2 downto 0),
      S_AXI_awvalid => processing_system7_1_axi_periph_to_s00_couplers_AWVALID,
      S_AXI_bid(11 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_BID(11 downto 0),
      S_AXI_bready => processing_system7_1_axi_periph_to_s00_couplers_BREADY,
      S_AXI_bresp(1 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_BRESP(1 downto 0),
      S_AXI_bvalid => processing_system7_1_axi_periph_to_s00_couplers_BVALID,
      S_AXI_rdata(31 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_RDATA(31 downto 0),
      S_AXI_rid(11 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_RID(11 downto 0),
      S_AXI_rlast => processing_system7_1_axi_periph_to_s00_couplers_RLAST,
      S_AXI_rready => processing_system7_1_axi_periph_to_s00_couplers_RREADY,
      S_AXI_rresp(1 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_RRESP(1 downto 0),
      S_AXI_rvalid => processing_system7_1_axi_periph_to_s00_couplers_RVALID,
      S_AXI_wdata(31 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_WDATA(31 downto 0),
      S_AXI_wid(11 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_WID(11 downto 0),
      S_AXI_wlast => processing_system7_1_axi_periph_to_s00_couplers_WLAST,
      S_AXI_wready => processing_system7_1_axi_periph_to_s00_couplers_WREADY,
      S_AXI_wstrb(3 downto 0) => processing_system7_1_axi_periph_to_s00_couplers_WSTRB(3 downto 0),
      S_AXI_wvalid => processing_system7_1_axi_periph_to_s00_couplers_WVALID
    );
xbar: component design_1_xbar_1
    port map (
      aclk => processing_system7_1_axi_periph_ACLK_net,
      aresetn => processing_system7_1_axi_periph_ARESETN_net(0),
      m_axi_araddr(95 downto 64) => xbar_to_m02_couplers_ARADDR(95 downto 64),
      m_axi_araddr(63 downto 32) => xbar_to_m01_couplers_ARADDR(63 downto 32),
      m_axi_araddr(31 downto 0) => xbar_to_m00_couplers_ARADDR(31 downto 0),
      m_axi_arprot(8 downto 6) => xbar_to_m02_couplers_ARPROT(8 downto 6),
      m_axi_arprot(5 downto 3) => xbar_to_m01_couplers_ARPROT(5 downto 3),
      m_axi_arprot(2 downto 0) => xbar_to_m00_couplers_ARPROT(2 downto 0),
      m_axi_arready(2) => xbar_to_m02_couplers_ARREADY(0),
      m_axi_arready(1) => xbar_to_m01_couplers_ARREADY(0),
      m_axi_arready(0) => xbar_to_m00_couplers_ARREADY(0),
      m_axi_arvalid(2) => xbar_to_m02_couplers_ARVALID(2),
      m_axi_arvalid(1) => xbar_to_m01_couplers_ARVALID(1),
      m_axi_arvalid(0) => xbar_to_m00_couplers_ARVALID(0),
      m_axi_awaddr(95 downto 64) => xbar_to_m02_couplers_AWADDR(95 downto 64),
      m_axi_awaddr(63 downto 32) => xbar_to_m01_couplers_AWADDR(63 downto 32),
      m_axi_awaddr(31 downto 0) => xbar_to_m00_couplers_AWADDR(31 downto 0),
      m_axi_awprot(8 downto 6) => xbar_to_m02_couplers_AWPROT(8 downto 6),
      m_axi_awprot(5 downto 3) => xbar_to_m01_couplers_AWPROT(5 downto 3),
      m_axi_awprot(2 downto 0) => xbar_to_m00_couplers_AWPROT(2 downto 0),
      m_axi_awready(2) => xbar_to_m02_couplers_AWREADY(0),
      m_axi_awready(1) => xbar_to_m01_couplers_AWREADY(0),
      m_axi_awready(0) => xbar_to_m00_couplers_AWREADY(0),
      m_axi_awvalid(2) => xbar_to_m02_couplers_AWVALID(2),
      m_axi_awvalid(1) => xbar_to_m01_couplers_AWVALID(1),
      m_axi_awvalid(0) => xbar_to_m00_couplers_AWVALID(0),
      m_axi_bready(2) => xbar_to_m02_couplers_BREADY(2),
      m_axi_bready(1) => xbar_to_m01_couplers_BREADY(1),
      m_axi_bready(0) => xbar_to_m00_couplers_BREADY(0),
      m_axi_bresp(5 downto 4) => xbar_to_m02_couplers_BRESP(1 downto 0),
      m_axi_bresp(3 downto 2) => xbar_to_m01_couplers_BRESP(1 downto 0),
      m_axi_bresp(1 downto 0) => xbar_to_m00_couplers_BRESP(1 downto 0),
      m_axi_bvalid(2) => xbar_to_m02_couplers_BVALID(0),
      m_axi_bvalid(1) => xbar_to_m01_couplers_BVALID(0),
      m_axi_bvalid(0) => xbar_to_m00_couplers_BVALID(0),
      m_axi_rdata(95 downto 64) => xbar_to_m02_couplers_RDATA(31 downto 0),
      m_axi_rdata(63 downto 32) => xbar_to_m01_couplers_RDATA(31 downto 0),
      m_axi_rdata(31 downto 0) => xbar_to_m00_couplers_RDATA(31 downto 0),
      m_axi_rready(2) => xbar_to_m02_couplers_RREADY(2),
      m_axi_rready(1) => xbar_to_m01_couplers_RREADY(1),
      m_axi_rready(0) => xbar_to_m00_couplers_RREADY(0),
      m_axi_rresp(5 downto 4) => xbar_to_m02_couplers_RRESP(1 downto 0),
      m_axi_rresp(3 downto 2) => xbar_to_m01_couplers_RRESP(1 downto 0),
      m_axi_rresp(1 downto 0) => xbar_to_m00_couplers_RRESP(1 downto 0),
      m_axi_rvalid(2) => xbar_to_m02_couplers_RVALID(0),
      m_axi_rvalid(1) => xbar_to_m01_couplers_RVALID(0),
      m_axi_rvalid(0) => xbar_to_m00_couplers_RVALID(0),
      m_axi_wdata(95 downto 64) => xbar_to_m02_couplers_WDATA(95 downto 64),
      m_axi_wdata(63 downto 32) => xbar_to_m01_couplers_WDATA(63 downto 32),
      m_axi_wdata(31 downto 0) => xbar_to_m00_couplers_WDATA(31 downto 0),
      m_axi_wready(2) => xbar_to_m02_couplers_WREADY(0),
      m_axi_wready(1) => xbar_to_m01_couplers_WREADY(0),
      m_axi_wready(0) => xbar_to_m00_couplers_WREADY(0),
      m_axi_wstrb(11 downto 8) => xbar_to_m02_couplers_WSTRB(11 downto 8),
      m_axi_wstrb(7 downto 4) => xbar_to_m01_couplers_WSTRB(7 downto 4),
      m_axi_wstrb(3 downto 0) => xbar_to_m00_couplers_WSTRB(3 downto 0),
      m_axi_wvalid(2) => xbar_to_m02_couplers_WVALID(2),
      m_axi_wvalid(1) => xbar_to_m01_couplers_WVALID(1),
      m_axi_wvalid(0) => xbar_to_m00_couplers_WVALID(0),
      s_axi_araddr(31 downto 0) => s00_couplers_to_xbar_ARADDR(31 downto 0),
      s_axi_arprot(2 downto 0) => s00_couplers_to_xbar_ARPROT(2 downto 0),
      s_axi_arready(0) => s00_couplers_to_xbar_ARREADY(0),
      s_axi_arvalid(0) => s00_couplers_to_xbar_ARVALID,
      s_axi_awaddr(31 downto 0) => s00_couplers_to_xbar_AWADDR(31 downto 0),
      s_axi_awprot(2 downto 0) => s00_couplers_to_xbar_AWPROT(2 downto 0),
      s_axi_awready(0) => s00_couplers_to_xbar_AWREADY(0),
      s_axi_awvalid(0) => s00_couplers_to_xbar_AWVALID,
      s_axi_bready(0) => s00_couplers_to_xbar_BREADY,
      s_axi_bresp(1 downto 0) => s00_couplers_to_xbar_BRESP(1 downto 0),
      s_axi_bvalid(0) => s00_couplers_to_xbar_BVALID(0),
      s_axi_rdata(31 downto 0) => s00_couplers_to_xbar_RDATA(31 downto 0),
      s_axi_rready(0) => s00_couplers_to_xbar_RREADY,
      s_axi_rresp(1 downto 0) => s00_couplers_to_xbar_RRESP(1 downto 0),
      s_axi_rvalid(0) => s00_couplers_to_xbar_RVALID(0),
      s_axi_wdata(31 downto 0) => s00_couplers_to_xbar_WDATA(31 downto 0),
      s_axi_wready(0) => s00_couplers_to_xbar_WREADY(0),
      s_axi_wstrb(3 downto 0) => s00_couplers_to_xbar_WSTRB(3 downto 0),
      s_axi_wvalid(0) => s00_couplers_to_xbar_WVALID
    );
end STRUCTURE;

-- lib IP_Integrator_Lib
library IEEE; use IEEE.STD_LOGIC_1164.ALL;
library UNISIM; use UNISIM.VCOMPONENTS.ALL; 
entity design_1 is
  port (
    btns_5bits_tri_i : in STD_LOGIC_VECTOR ( 4 downto 0 );
    btns_5bits_tri_o : out STD_LOGIC_VECTOR ( 4 downto 0 );
    btns_5bits_tri_t : out STD_LOGIC_VECTOR ( 4 downto 0 );
    leds_8bits_tri_o : out STD_LOGIC_VECTOR ( 7 downto 0 );
    sws_8bits_tri_i : in STD_LOGIC_VECTOR ( 7 downto 0 );
    sws_8bits_tri_o : out STD_LOGIC_VECTOR ( 7 downto 0 );
    sws_8bits_tri_t : out STD_LOGIC_VECTOR ( 7 downto 0 )
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of design_1 : entity is "design_1,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLanguage=VHDL}";
end design_1;

architecture STRUCTURE of design_1 is
  component design_1_axi_gpio_1_0 is
  port (
    s_axi_aclk : in STD_LOGIC;
    s_axi_aresetn : in STD_LOGIC;
    s_axi_awaddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    s_axi_awvalid : in STD_LOGIC;
    s_axi_awready : out STD_LOGIC;
    s_axi_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_wvalid : in STD_LOGIC;
    s_axi_wready : out STD_LOGIC;
    s_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_bvalid : out STD_LOGIC;
    s_axi_bready : in STD_LOGIC;
    s_axi_araddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    s_axi_arvalid : in STD_LOGIC;
    s_axi_arready : out STD_LOGIC;
    s_axi_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_rvalid : out STD_LOGIC;
    s_axi_rready : in STD_LOGIC;
    gpio_io_i : in STD_LOGIC_VECTOR ( 4 downto 0 );
    gpio_io_o : out STD_LOGIC_VECTOR ( 4 downto 0 );
    gpio_io_t : out STD_LOGIC_VECTOR ( 4 downto 0 )
  );
  end component design_1_axi_gpio_1_0;
  component design_1_axi_gpio_2_1 is
  port (
    s_axi_aclk : in STD_LOGIC;
    s_axi_aresetn : in STD_LOGIC;
    s_axi_awaddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    s_axi_awvalid : in STD_LOGIC;
    s_axi_awready : out STD_LOGIC;
    s_axi_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_wvalid : in STD_LOGIC;
    s_axi_wready : out STD_LOGIC;
    s_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_bvalid : out STD_LOGIC;
    s_axi_bready : in STD_LOGIC;
    s_axi_araddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    s_axi_arvalid : in STD_LOGIC;
    s_axi_arready : out STD_LOGIC;
    s_axi_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_rvalid : out STD_LOGIC;
    s_axi_rready : in STD_LOGIC;
    gpio_io_i : in STD_LOGIC_VECTOR ( 7 downto 0 );
    gpio_io_o : out STD_LOGIC_VECTOR ( 7 downto 0 );
    gpio_io_t : out STD_LOGIC_VECTOR ( 7 downto 0 )
  );
  end component design_1_axi_gpio_2_1;
  component design_1_axi_gpio_3_2 is
  port (
    s_axi_aclk : in STD_LOGIC;
    s_axi_aresetn : in STD_LOGIC;
    s_axi_awaddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    s_axi_awvalid : in STD_LOGIC;
    s_axi_awready : out STD_LOGIC;
    s_axi_wdata : in STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_wstrb : in STD_LOGIC_VECTOR ( 3 downto 0 );
    s_axi_wvalid : in STD_LOGIC;
    s_axi_wready : out STD_LOGIC;
    s_axi_bresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_bvalid : out STD_LOGIC;
    s_axi_bready : in STD_LOGIC;
    s_axi_araddr : in STD_LOGIC_VECTOR ( 8 downto 0 );
    s_axi_arvalid : in STD_LOGIC;
    s_axi_arready : out STD_LOGIC;
    s_axi_rdata : out STD_LOGIC_VECTOR ( 31 downto 0 );
    s_axi_rresp : out STD_LOGIC_VECTOR ( 1 downto 0 );
    s_axi_rvalid : out STD_LOGIC;
    s_axi_rready : in STD_LOGIC;
    gpio_io_o : out STD_LOGIC_VECTOR ( 7 downto 0 )
  );
  end component design_1_axi_gpio_3_2;
  signal GND_1 : STD_LOGIC;
  signal axi_gpio_1_gpio_TRI_I : STD_LOGIC_VECTOR ( 4 downto 0 );
  signal axi_gpio_1_gpio_TRI_O : STD_LOGIC_VECTOR ( 4 downto 0 );
  signal axi_gpio_1_gpio_TRI_T : STD_LOGIC_VECTOR ( 4 downto 0 );
  signal axi_gpio_2_gpio_TRI_I : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal axi_gpio_2_gpio_TRI_O : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal axi_gpio_2_gpio_TRI_T : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal axi_gpio_3_gpio_TRI_O : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal proc_sys_reset_interconnect_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal proc_sys_reset_peripheral_aresetn : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m00_axi_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal processing_system7_1_axi_periph_m00_axi_ARREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m00_axi_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m00_axi_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal processing_system7_1_axi_periph_m00_axi_AWREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m00_axi_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m00_axi_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m00_axi_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_m00_axi_BVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_m00_axi_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_m00_axi_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m00_axi_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_m00_axi_RVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_m00_axi_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_m00_axi_WREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m00_axi_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_m00_axi_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m01_axi_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal processing_system7_1_axi_periph_m01_axi_ARREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m01_axi_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m01_axi_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal processing_system7_1_axi_periph_m01_axi_AWREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m01_axi_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m01_axi_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m01_axi_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_m01_axi_BVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_m01_axi_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_m01_axi_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m01_axi_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_m01_axi_RVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_m01_axi_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_m01_axi_WREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m01_axi_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_m01_axi_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m02_axi_ARADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal processing_system7_1_axi_periph_m02_axi_ARREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m02_axi_ARVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m02_axi_AWADDR : STD_LOGIC_VECTOR ( 8 downto 0 );
  signal processing_system7_1_axi_periph_m02_axi_AWREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m02_axi_AWVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m02_axi_BREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m02_axi_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_m02_axi_BVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_m02_axi_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_m02_axi_RREADY : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_axi_periph_m02_axi_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_axi_periph_m02_axi_RVALID : STD_LOGIC;
  signal processing_system7_1_axi_periph_m02_axi_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_axi_periph_m02_axi_WREADY : STD_LOGIC;
  signal processing_system7_1_axi_periph_m02_axi_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_axi_periph_m02_axi_WVALID : STD_LOGIC_VECTOR ( 0 to 0 );
  signal processing_system7_1_fclk_clk0 : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_ARADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_ARSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_ARVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_AWADDR : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWBURST : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWCACHE : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWLEN : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWLOCK : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWPROT : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWQOS : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_AWSIZE : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal processing_system7_1_m_axi_gp0_AWVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_BID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_BREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_BRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_BVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_RDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_RID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_RLAST : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_RREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_RRESP : STD_LOGIC_VECTOR ( 1 downto 0 );
  signal processing_system7_1_m_axi_gp0_RVALID : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_WDATA : STD_LOGIC_VECTOR ( 31 downto 0 );
  signal processing_system7_1_m_axi_gp0_WID : STD_LOGIC_VECTOR ( 11 downto 0 );
  signal processing_system7_1_m_axi_gp0_WLAST : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_WREADY : STD_LOGIC;
  signal processing_system7_1_m_axi_gp0_WSTRB : STD_LOGIC_VECTOR ( 3 downto 0 );
  signal processing_system7_1_m_axi_gp0_WVALID : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arburst_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arcache_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arlen_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arlock_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arprot_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arqos_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arregion_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_arsize_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awburst_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awcache_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awlen_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awlock_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awprot_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awqos_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awregion_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_awsize_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M00_AXI_wlast_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arburst_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arcache_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arlen_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arlock_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arprot_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arqos_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arregion_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_arsize_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awburst_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awcache_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awlen_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awlock_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awprot_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awqos_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awregion_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_awsize_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M01_AXI_wlast_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arburst_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arcache_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arlen_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arlock_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arprot_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arqos_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arregion_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_arsize_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awburst_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awcache_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awlen_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awlock_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awprot_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awqos_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awregion_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_awsize_UNCONNECTED : STD_LOGIC;
  signal NLW_processing_system7_1_axi_periph_M02_AXI_wlast_UNCONNECTED : STD_LOGIC;
begin
  axi_gpio_1_gpio_TRI_I(4 downto 0) <= btns_5bits_tri_i(4 downto 0);
  axi_gpio_2_gpio_TRI_I(7 downto 0) <= sws_8bits_tri_i(7 downto 0);
  btns_5bits_tri_o(4 downto 0) <= axi_gpio_1_gpio_TRI_O(4 downto 0);
  btns_5bits_tri_t(4 downto 0) <= axi_gpio_1_gpio_TRI_T(4 downto 0);
  leds_8bits_tri_o(7 downto 0) <= axi_gpio_3_gpio_TRI_O(7 downto 0);
  sws_8bits_tri_o(7 downto 0) <= axi_gpio_2_gpio_TRI_O(7 downto 0);
  sws_8bits_tri_t(7 downto 0) <= axi_gpio_2_gpio_TRI_T(7 downto 0);
GND: unisim.vcomponents.GND
    port map (
      G => GND_1
    );
Zynq_Subsystem: entity work.Zynq_Subsystem_imp_1GYDQKT
    port map (
      FCLK_CLK0 => processing_system7_1_fclk_clk0,
      M_AXI_GP0_araddr(31 downto 0) => processing_system7_1_m_axi_gp0_ARADDR(31 downto 0),
      M_AXI_GP0_arburst(1 downto 0) => processing_system7_1_m_axi_gp0_ARBURST(1 downto 0),
      M_AXI_GP0_arcache(3 downto 0) => processing_system7_1_m_axi_gp0_ARCACHE(3 downto 0),
      M_AXI_GP0_arid(11 downto 0) => processing_system7_1_m_axi_gp0_ARID(11 downto 0),
      M_AXI_GP0_arlen(3 downto 0) => processing_system7_1_m_axi_gp0_ARLEN(3 downto 0),
      M_AXI_GP0_arlock(1 downto 0) => processing_system7_1_m_axi_gp0_ARLOCK(1 downto 0),
      M_AXI_GP0_arprot(2 downto 0) => processing_system7_1_m_axi_gp0_ARPROT(2 downto 0),
      M_AXI_GP0_arqos(3 downto 0) => processing_system7_1_m_axi_gp0_ARQOS(3 downto 0),
      M_AXI_GP0_arready => processing_system7_1_m_axi_gp0_ARREADY,
      M_AXI_GP0_arsize(2 downto 0) => processing_system7_1_m_axi_gp0_ARSIZE(2 downto 0),
      M_AXI_GP0_arvalid => processing_system7_1_m_axi_gp0_ARVALID,
      M_AXI_GP0_awaddr(31 downto 0) => processing_system7_1_m_axi_gp0_AWADDR(31 downto 0),
      M_AXI_GP0_awburst(1 downto 0) => processing_system7_1_m_axi_gp0_AWBURST(1 downto 0),
      M_AXI_GP0_awcache(3 downto 0) => processing_system7_1_m_axi_gp0_AWCACHE(3 downto 0),
      M_AXI_GP0_awid(11 downto 0) => processing_system7_1_m_axi_gp0_AWID(11 downto 0),
      M_AXI_GP0_awlen(3 downto 0) => processing_system7_1_m_axi_gp0_AWLEN(3 downto 0),
      M_AXI_GP0_awlock(1 downto 0) => processing_system7_1_m_axi_gp0_AWLOCK(1 downto 0),
      M_AXI_GP0_awprot(2 downto 0) => processing_system7_1_m_axi_gp0_AWPROT(2 downto 0),
      M_AXI_GP0_awqos(3 downto 0) => processing_system7_1_m_axi_gp0_AWQOS(3 downto 0),
      M_AXI_GP0_awready => processing_system7_1_m_axi_gp0_AWREADY,
      M_AXI_GP0_awsize(2 downto 0) => processing_system7_1_m_axi_gp0_AWSIZE(2 downto 0),
      M_AXI_GP0_awvalid => processing_system7_1_m_axi_gp0_AWVALID,
      M_AXI_GP0_bid(11 downto 0) => processing_system7_1_m_axi_gp0_BID(11 downto 0),
      M_AXI_GP0_bready => processing_system7_1_m_axi_gp0_BREADY,
      M_AXI_GP0_bresp(1 downto 0) => processing_system7_1_m_axi_gp0_BRESP(1 downto 0),
      M_AXI_GP0_bvalid => processing_system7_1_m_axi_gp0_BVALID,
      M_AXI_GP0_rdata(31 downto 0) => processing_system7_1_m_axi_gp0_RDATA(31 downto 0),
      M_AXI_GP0_rid(11 downto 0) => processing_system7_1_m_axi_gp0_RID(11 downto 0),
      M_AXI_GP0_rlast => processing_system7_1_m_axi_gp0_RLAST,
      M_AXI_GP0_rready => processing_system7_1_m_axi_gp0_RREADY,
      M_AXI_GP0_rresp(1 downto 0) => processing_system7_1_m_axi_gp0_RRESP(1 downto 0),
      M_AXI_GP0_rvalid => processing_system7_1_m_axi_gp0_RVALID,
      M_AXI_GP0_wdata(31 downto 0) => processing_system7_1_m_axi_gp0_WDATA(31 downto 0),
      M_AXI_GP0_wid(11 downto 0) => processing_system7_1_m_axi_gp0_WID(11 downto 0),
      M_AXI_GP0_wlast => processing_system7_1_m_axi_gp0_WLAST,
      M_AXI_GP0_wready => processing_system7_1_m_axi_gp0_WREADY,
      M_AXI_GP0_wstrb(3 downto 0) => processing_system7_1_m_axi_gp0_WSTRB(3 downto 0),
      M_AXI_GP0_wvalid => processing_system7_1_m_axi_gp0_WVALID,
      interconnect_aresetn(0) => proc_sys_reset_interconnect_aresetn(0),
      peripheral_aresetn(0) => proc_sys_reset_peripheral_aresetn(0)
    );
axi_gpio_1: component design_1_axi_gpio_1_0
    port map (
      gpio_io_i(4 downto 0) => axi_gpio_1_gpio_TRI_I(4 downto 0),
      gpio_io_o(4 downto 0) => axi_gpio_1_gpio_TRI_O(4 downto 0),
      gpio_io_t(4 downto 0) => axi_gpio_1_gpio_TRI_T(4 downto 0),
      s_axi_aclk => processing_system7_1_fclk_clk0,
      s_axi_araddr(8 downto 0) => processing_system7_1_axi_periph_m00_axi_ARADDR(8 downto 0),
      s_axi_aresetn => proc_sys_reset_peripheral_aresetn(0),
      s_axi_arready => processing_system7_1_axi_periph_m00_axi_ARREADY,
      s_axi_arvalid => processing_system7_1_axi_periph_m00_axi_ARVALID(0),
      s_axi_awaddr(8 downto 0) => processing_system7_1_axi_periph_m00_axi_AWADDR(8 downto 0),
      s_axi_awready => processing_system7_1_axi_periph_m00_axi_AWREADY,
      s_axi_awvalid => processing_system7_1_axi_periph_m00_axi_AWVALID(0),
      s_axi_bready => processing_system7_1_axi_periph_m00_axi_BREADY(0),
      s_axi_bresp(1 downto 0) => processing_system7_1_axi_periph_m00_axi_BRESP(1 downto 0),
      s_axi_bvalid => processing_system7_1_axi_periph_m00_axi_BVALID,
      s_axi_rdata(31 downto 0) => processing_system7_1_axi_periph_m00_axi_RDATA(31 downto 0),
      s_axi_rready => processing_system7_1_axi_periph_m00_axi_RREADY(0),
      s_axi_rresp(1 downto 0) => processing_system7_1_axi_periph_m00_axi_RRESP(1 downto 0),
      s_axi_rvalid => processing_system7_1_axi_periph_m00_axi_RVALID,
      s_axi_wdata(31 downto 0) => processing_system7_1_axi_periph_m00_axi_WDATA(31 downto 0),
      s_axi_wready => processing_system7_1_axi_periph_m00_axi_WREADY,
      s_axi_wstrb(3 downto 0) => processing_system7_1_axi_periph_m00_axi_WSTRB(3 downto 0),
      s_axi_wvalid => processing_system7_1_axi_periph_m00_axi_WVALID(0)
    );
axi_gpio_2: component design_1_axi_gpio_2_1
    port map (
      gpio_io_i(7 downto 0) => axi_gpio_2_gpio_TRI_I(7 downto 0),
      gpio_io_o(7 downto 0) => axi_gpio_2_gpio_TRI_O(7 downto 0),
      gpio_io_t(7 downto 0) => axi_gpio_2_gpio_TRI_T(7 downto 0),
      s_axi_aclk => processing_system7_1_fclk_clk0,
      s_axi_araddr(8 downto 0) => processing_system7_1_axi_periph_m01_axi_ARADDR(8 downto 0),
      s_axi_aresetn => proc_sys_reset_peripheral_aresetn(0),
      s_axi_arready => processing_system7_1_axi_periph_m01_axi_ARREADY,
      s_axi_arvalid => processing_system7_1_axi_periph_m01_axi_ARVALID(0),
      s_axi_awaddr(8 downto 0) => processing_system7_1_axi_periph_m01_axi_AWADDR(8 downto 0),
      s_axi_awready => processing_system7_1_axi_periph_m01_axi_AWREADY,
      s_axi_awvalid => processing_system7_1_axi_periph_m01_axi_AWVALID(0),
      s_axi_bready => processing_system7_1_axi_periph_m01_axi_BREADY(0),
      s_axi_bresp(1 downto 0) => processing_system7_1_axi_periph_m01_axi_BRESP(1 downto 0),
      s_axi_bvalid => processing_system7_1_axi_periph_m01_axi_BVALID,
      s_axi_rdata(31 downto 0) => processing_system7_1_axi_periph_m01_axi_RDATA(31 downto 0),
      s_axi_rready => processing_system7_1_axi_periph_m01_axi_RREADY(0),
      s_axi_rresp(1 downto 0) => processing_system7_1_axi_periph_m01_axi_RRESP(1 downto 0),
      s_axi_rvalid => processing_system7_1_axi_periph_m01_axi_RVALID,
      s_axi_wdata(31 downto 0) => processing_system7_1_axi_periph_m01_axi_WDATA(31 downto 0),
      s_axi_wready => processing_system7_1_axi_periph_m01_axi_WREADY,
      s_axi_wstrb(3 downto 0) => processing_system7_1_axi_periph_m01_axi_WSTRB(3 downto 0),
      s_axi_wvalid => processing_system7_1_axi_periph_m01_axi_WVALID(0)
    );
axi_gpio_3: component design_1_axi_gpio_3_2
    port map (
      gpio_io_o(7 downto 0) => axi_gpio_3_gpio_TRI_O(7 downto 0),
      s_axi_aclk => processing_system7_1_fclk_clk0,
      s_axi_araddr(8 downto 0) => processing_system7_1_axi_periph_m02_axi_ARADDR(8 downto 0),
      s_axi_aresetn => proc_sys_reset_peripheral_aresetn(0),
      s_axi_arready => processing_system7_1_axi_periph_m02_axi_ARREADY,
      s_axi_arvalid => processing_system7_1_axi_periph_m02_axi_ARVALID(0),
      s_axi_awaddr(8 downto 0) => processing_system7_1_axi_periph_m02_axi_AWADDR(8 downto 0),
      s_axi_awready => processing_system7_1_axi_periph_m02_axi_AWREADY,
      s_axi_awvalid => processing_system7_1_axi_periph_m02_axi_AWVALID(0),
      s_axi_bready => processing_system7_1_axi_periph_m02_axi_BREADY(0),
      s_axi_bresp(1 downto 0) => processing_system7_1_axi_periph_m02_axi_BRESP(1 downto 0),
      s_axi_bvalid => processing_system7_1_axi_periph_m02_axi_BVALID,
      s_axi_rdata(31 downto 0) => processing_system7_1_axi_periph_m02_axi_RDATA(31 downto 0),
      s_axi_rready => processing_system7_1_axi_periph_m02_axi_RREADY(0),
      s_axi_rresp(1 downto 0) => processing_system7_1_axi_periph_m02_axi_RRESP(1 downto 0),
      s_axi_rvalid => processing_system7_1_axi_periph_m02_axi_RVALID,
      s_axi_wdata(31 downto 0) => processing_system7_1_axi_periph_m02_axi_WDATA(31 downto 0),
      s_axi_wready => processing_system7_1_axi_periph_m02_axi_WREADY,
      s_axi_wstrb(3 downto 0) => processing_system7_1_axi_periph_m02_axi_WSTRB(3 downto 0),
      s_axi_wvalid => processing_system7_1_axi_periph_m02_axi_WVALID(0)
    );
processing_system7_1_axi_periph: entity work.design_1_processing_system7_1_axi_periph_0
    port map (
      ACLK => processing_system7_1_fclk_clk0,
      ARESETN(0) => proc_sys_reset_interconnect_aresetn(0),
      M00_ACLK => processing_system7_1_fclk_clk0,
      M00_ARESETN(0) => proc_sys_reset_peripheral_aresetn(0),
      M00_AXI_araddr(8 downto 0) => processing_system7_1_axi_periph_m00_axi_ARADDR(8 downto 0),
      M00_AXI_arburst => NLW_processing_system7_1_axi_periph_M00_AXI_arburst_UNCONNECTED,
      M00_AXI_arcache => NLW_processing_system7_1_axi_periph_M00_AXI_arcache_UNCONNECTED,
      M00_AXI_arlen => NLW_processing_system7_1_axi_periph_M00_AXI_arlen_UNCONNECTED,
      M00_AXI_arlock => NLW_processing_system7_1_axi_periph_M00_AXI_arlock_UNCONNECTED,
      M00_AXI_arprot => NLW_processing_system7_1_axi_periph_M00_AXI_arprot_UNCONNECTED,
      M00_AXI_arqos => NLW_processing_system7_1_axi_periph_M00_AXI_arqos_UNCONNECTED,
      M00_AXI_arready(0) => processing_system7_1_axi_periph_m00_axi_ARREADY,
      M00_AXI_arregion => NLW_processing_system7_1_axi_periph_M00_AXI_arregion_UNCONNECTED,
      M00_AXI_arsize => NLW_processing_system7_1_axi_periph_M00_AXI_arsize_UNCONNECTED,
      M00_AXI_arvalid(0) => processing_system7_1_axi_periph_m00_axi_ARVALID(0),
      M00_AXI_awaddr(8 downto 0) => processing_system7_1_axi_periph_m00_axi_AWADDR(8 downto 0),
      M00_AXI_awburst => NLW_processing_system7_1_axi_periph_M00_AXI_awburst_UNCONNECTED,
      M00_AXI_awcache => NLW_processing_system7_1_axi_periph_M00_AXI_awcache_UNCONNECTED,
      M00_AXI_awlen => NLW_processing_system7_1_axi_periph_M00_AXI_awlen_UNCONNECTED,
      M00_AXI_awlock => NLW_processing_system7_1_axi_periph_M00_AXI_awlock_UNCONNECTED,
      M00_AXI_awprot => NLW_processing_system7_1_axi_periph_M00_AXI_awprot_UNCONNECTED,
      M00_AXI_awqos => NLW_processing_system7_1_axi_periph_M00_AXI_awqos_UNCONNECTED,
      M00_AXI_awready(0) => processing_system7_1_axi_periph_m00_axi_AWREADY,
      M00_AXI_awregion => NLW_processing_system7_1_axi_periph_M00_AXI_awregion_UNCONNECTED,
      M00_AXI_awsize => NLW_processing_system7_1_axi_periph_M00_AXI_awsize_UNCONNECTED,
      M00_AXI_awvalid(0) => processing_system7_1_axi_periph_m00_axi_AWVALID(0),
      M00_AXI_bready(0) => processing_system7_1_axi_periph_m00_axi_BREADY(0),
      M00_AXI_bresp(1 downto 0) => processing_system7_1_axi_periph_m00_axi_BRESP(1 downto 0),
      M00_AXI_bvalid(0) => processing_system7_1_axi_periph_m00_axi_BVALID,
      M00_AXI_rdata(31 downto 0) => processing_system7_1_axi_periph_m00_axi_RDATA(31 downto 0),
      M00_AXI_rlast => GND_1,
      M00_AXI_rready(0) => processing_system7_1_axi_periph_m00_axi_RREADY(0),
      M00_AXI_rresp(1 downto 0) => processing_system7_1_axi_periph_m00_axi_RRESP(1 downto 0),
      M00_AXI_rvalid(0) => processing_system7_1_axi_periph_m00_axi_RVALID,
      M00_AXI_wdata(31 downto 0) => processing_system7_1_axi_periph_m00_axi_WDATA(31 downto 0),
      M00_AXI_wlast => NLW_processing_system7_1_axi_periph_M00_AXI_wlast_UNCONNECTED,
      M00_AXI_wready(0) => processing_system7_1_axi_periph_m00_axi_WREADY,
      M00_AXI_wstrb(3 downto 0) => processing_system7_1_axi_periph_m00_axi_WSTRB(3 downto 0),
      M00_AXI_wvalid(0) => processing_system7_1_axi_periph_m00_axi_WVALID(0),
      M01_ACLK => processing_system7_1_fclk_clk0,
      M01_ARESETN(0) => proc_sys_reset_peripheral_aresetn(0),
      M01_AXI_araddr(8 downto 0) => processing_system7_1_axi_periph_m01_axi_ARADDR(8 downto 0),
      M01_AXI_arburst => NLW_processing_system7_1_axi_periph_M01_AXI_arburst_UNCONNECTED,
      M01_AXI_arcache => NLW_processing_system7_1_axi_periph_M01_AXI_arcache_UNCONNECTED,
      M01_AXI_arlen => NLW_processing_system7_1_axi_periph_M01_AXI_arlen_UNCONNECTED,
      M01_AXI_arlock => NLW_processing_system7_1_axi_periph_M01_AXI_arlock_UNCONNECTED,
      M01_AXI_arprot => NLW_processing_system7_1_axi_periph_M01_AXI_arprot_UNCONNECTED,
      M01_AXI_arqos => NLW_processing_system7_1_axi_periph_M01_AXI_arqos_UNCONNECTED,
      M01_AXI_arready(0) => processing_system7_1_axi_periph_m01_axi_ARREADY,
      M01_AXI_arregion => NLW_processing_system7_1_axi_periph_M01_AXI_arregion_UNCONNECTED,
      M01_AXI_arsize => NLW_processing_system7_1_axi_periph_M01_AXI_arsize_UNCONNECTED,
      M01_AXI_arvalid(0) => processing_system7_1_axi_periph_m01_axi_ARVALID(0),
      M01_AXI_awaddr(8 downto 0) => processing_system7_1_axi_periph_m01_axi_AWADDR(8 downto 0),
      M01_AXI_awburst => NLW_processing_system7_1_axi_periph_M01_AXI_awburst_UNCONNECTED,
      M01_AXI_awcache => NLW_processing_system7_1_axi_periph_M01_AXI_awcache_UNCONNECTED,
      M01_AXI_awlen => NLW_processing_system7_1_axi_periph_M01_AXI_awlen_UNCONNECTED,
      M01_AXI_awlock => NLW_processing_system7_1_axi_periph_M01_AXI_awlock_UNCONNECTED,
      M01_AXI_awprot => NLW_processing_system7_1_axi_periph_M01_AXI_awprot_UNCONNECTED,
      M01_AXI_awqos => NLW_processing_system7_1_axi_periph_M01_AXI_awqos_UNCONNECTED,
      M01_AXI_awready(0) => processing_system7_1_axi_periph_m01_axi_AWREADY,
      M01_AXI_awregion => NLW_processing_system7_1_axi_periph_M01_AXI_awregion_UNCONNECTED,
      M01_AXI_awsize => NLW_processing_system7_1_axi_periph_M01_AXI_awsize_UNCONNECTED,
      M01_AXI_awvalid(0) => processing_system7_1_axi_periph_m01_axi_AWVALID(0),
      M01_AXI_bready(0) => processing_system7_1_axi_periph_m01_axi_BREADY(0),
      M01_AXI_bresp(1 downto 0) => processing_system7_1_axi_periph_m01_axi_BRESP(1 downto 0),
      M01_AXI_bvalid(0) => processing_system7_1_axi_periph_m01_axi_BVALID,
      M01_AXI_rdata(31 downto 0) => processing_system7_1_axi_periph_m01_axi_RDATA(31 downto 0),
      M01_AXI_rlast => GND_1,
      M01_AXI_rready(0) => processing_system7_1_axi_periph_m01_axi_RREADY(0),
      M01_AXI_rresp(1 downto 0) => processing_system7_1_axi_periph_m01_axi_RRESP(1 downto 0),
      M01_AXI_rvalid(0) => processing_system7_1_axi_periph_m01_axi_RVALID,
      M01_AXI_wdata(31 downto 0) => processing_system7_1_axi_periph_m01_axi_WDATA(31 downto 0),
      M01_AXI_wlast => NLW_processing_system7_1_axi_periph_M01_AXI_wlast_UNCONNECTED,
      M01_AXI_wready(0) => processing_system7_1_axi_periph_m01_axi_WREADY,
      M01_AXI_wstrb(3 downto 0) => processing_system7_1_axi_periph_m01_axi_WSTRB(3 downto 0),
      M01_AXI_wvalid(0) => processing_system7_1_axi_periph_m01_axi_WVALID(0),
      M02_ACLK => processing_system7_1_fclk_clk0,
      M02_ARESETN(0) => proc_sys_reset_peripheral_aresetn(0),
      M02_AXI_araddr(8 downto 0) => processing_system7_1_axi_periph_m02_axi_ARADDR(8 downto 0),
      M02_AXI_arburst => NLW_processing_system7_1_axi_periph_M02_AXI_arburst_UNCONNECTED,
      M02_AXI_arcache => NLW_processing_system7_1_axi_periph_M02_AXI_arcache_UNCONNECTED,
      M02_AXI_arlen => NLW_processing_system7_1_axi_periph_M02_AXI_arlen_UNCONNECTED,
      M02_AXI_arlock => NLW_processing_system7_1_axi_periph_M02_AXI_arlock_UNCONNECTED,
      M02_AXI_arprot => NLW_processing_system7_1_axi_periph_M02_AXI_arprot_UNCONNECTED,
      M02_AXI_arqos => NLW_processing_system7_1_axi_periph_M02_AXI_arqos_UNCONNECTED,
      M02_AXI_arready(0) => processing_system7_1_axi_periph_m02_axi_ARREADY,
      M02_AXI_arregion => NLW_processing_system7_1_axi_periph_M02_AXI_arregion_UNCONNECTED,
      M02_AXI_arsize => NLW_processing_system7_1_axi_periph_M02_AXI_arsize_UNCONNECTED,
      M02_AXI_arvalid(0) => processing_system7_1_axi_periph_m02_axi_ARVALID(0),
      M02_AXI_awaddr(8 downto 0) => processing_system7_1_axi_periph_m02_axi_AWADDR(8 downto 0),
      M02_AXI_awburst => NLW_processing_system7_1_axi_periph_M02_AXI_awburst_UNCONNECTED,
      M02_AXI_awcache => NLW_processing_system7_1_axi_periph_M02_AXI_awcache_UNCONNECTED,
      M02_AXI_awlen => NLW_processing_system7_1_axi_periph_M02_AXI_awlen_UNCONNECTED,
      M02_AXI_awlock => NLW_processing_system7_1_axi_periph_M02_AXI_awlock_UNCONNECTED,
      M02_AXI_awprot => NLW_processing_system7_1_axi_periph_M02_AXI_awprot_UNCONNECTED,
      M02_AXI_awqos => NLW_processing_system7_1_axi_periph_M02_AXI_awqos_UNCONNECTED,
      M02_AXI_awready(0) => processing_system7_1_axi_periph_m02_axi_AWREADY,
      M02_AXI_awregion => NLW_processing_system7_1_axi_periph_M02_AXI_awregion_UNCONNECTED,
      M02_AXI_awsize => NLW_processing_system7_1_axi_periph_M02_AXI_awsize_UNCONNECTED,
      M02_AXI_awvalid(0) => processing_system7_1_axi_periph_m02_axi_AWVALID(0),
      M02_AXI_bready(0) => processing_system7_1_axi_periph_m02_axi_BREADY(0),
      M02_AXI_bresp(1 downto 0) => processing_system7_1_axi_periph_m02_axi_BRESP(1 downto 0),
      M02_AXI_bvalid(0) => processing_system7_1_axi_periph_m02_axi_BVALID,
      M02_AXI_rdata(31 downto 0) => processing_system7_1_axi_periph_m02_axi_RDATA(31 downto 0),
      M02_AXI_rlast => GND_1,
      M02_AXI_rready(0) => processing_system7_1_axi_periph_m02_axi_RREADY(0),
      M02_AXI_rresp(1 downto 0) => processing_system7_1_axi_periph_m02_axi_RRESP(1 downto 0),
      M02_AXI_rvalid(0) => processing_system7_1_axi_periph_m02_axi_RVALID,
      M02_AXI_wdata(31 downto 0) => processing_system7_1_axi_periph_m02_axi_WDATA(31 downto 0),
      M02_AXI_wlast => NLW_processing_system7_1_axi_periph_M02_AXI_wlast_UNCONNECTED,
      M02_AXI_wready(0) => processing_system7_1_axi_periph_m02_axi_WREADY,
      M02_AXI_wstrb(3 downto 0) => processing_system7_1_axi_periph_m02_axi_WSTRB(3 downto 0),
      M02_AXI_wvalid(0) => processing_system7_1_axi_periph_m02_axi_WVALID(0),
      S00_ACLK => processing_system7_1_fclk_clk0,
      S00_ARESETN(0) => proc_sys_reset_peripheral_aresetn(0),
      S00_AXI_araddr(31 downto 0) => processing_system7_1_m_axi_gp0_ARADDR(31 downto 0),
      S00_AXI_arburst(1 downto 0) => processing_system7_1_m_axi_gp0_ARBURST(1 downto 0),
      S00_AXI_arcache(3 downto 0) => processing_system7_1_m_axi_gp0_ARCACHE(3 downto 0),
      S00_AXI_arid(11 downto 0) => processing_system7_1_m_axi_gp0_ARID(11 downto 0),
      S00_AXI_arlen(3 downto 0) => processing_system7_1_m_axi_gp0_ARLEN(3 downto 0),
      S00_AXI_arlock(1 downto 0) => processing_system7_1_m_axi_gp0_ARLOCK(1 downto 0),
      S00_AXI_arprot(2 downto 0) => processing_system7_1_m_axi_gp0_ARPROT(2 downto 0),
      S00_AXI_arqos(3 downto 0) => processing_system7_1_m_axi_gp0_ARQOS(3 downto 0),
      S00_AXI_arready => processing_system7_1_m_axi_gp0_ARREADY,
      S00_AXI_arsize(2 downto 0) => processing_system7_1_m_axi_gp0_ARSIZE(2 downto 0),
      S00_AXI_arvalid => processing_system7_1_m_axi_gp0_ARVALID,
      S00_AXI_awaddr(31 downto 0) => processing_system7_1_m_axi_gp0_AWADDR(31 downto 0),
      S00_AXI_awburst(1 downto 0) => processing_system7_1_m_axi_gp0_AWBURST(1 downto 0),
      S00_AXI_awcache(3 downto 0) => processing_system7_1_m_axi_gp0_AWCACHE(3 downto 0),
      S00_AXI_awid(11 downto 0) => processing_system7_1_m_axi_gp0_AWID(11 downto 0),
      S00_AXI_awlen(3 downto 0) => processing_system7_1_m_axi_gp0_AWLEN(3 downto 0),
      S00_AXI_awlock(1 downto 0) => processing_system7_1_m_axi_gp0_AWLOCK(1 downto 0),
      S00_AXI_awprot(2 downto 0) => processing_system7_1_m_axi_gp0_AWPROT(2 downto 0),
      S00_AXI_awqos(3 downto 0) => processing_system7_1_m_axi_gp0_AWQOS(3 downto 0),
      S00_AXI_awready => processing_system7_1_m_axi_gp0_AWREADY,
      S00_AXI_awsize(2 downto 0) => processing_system7_1_m_axi_gp0_AWSIZE(2 downto 0),
      S00_AXI_awvalid => processing_system7_1_m_axi_gp0_AWVALID,
      S00_AXI_bid(11 downto 0) => processing_system7_1_m_axi_gp0_BID(11 downto 0),
      S00_AXI_bready => processing_system7_1_m_axi_gp0_BREADY,
      S00_AXI_bresp(1 downto 0) => processing_system7_1_m_axi_gp0_BRESP(1 downto 0),
      S00_AXI_bvalid => processing_system7_1_m_axi_gp0_BVALID,
      S00_AXI_rdata(31 downto 0) => processing_system7_1_m_axi_gp0_RDATA(31 downto 0),
      S00_AXI_rid(11 downto 0) => processing_system7_1_m_axi_gp0_RID(11 downto 0),
      S00_AXI_rlast => processing_system7_1_m_axi_gp0_RLAST,
      S00_AXI_rready => processing_system7_1_m_axi_gp0_RREADY,
      S00_AXI_rresp(1 downto 0) => processing_system7_1_m_axi_gp0_RRESP(1 downto 0),
      S00_AXI_rvalid => processing_system7_1_m_axi_gp0_RVALID,
      S00_AXI_wdata(31 downto 0) => processing_system7_1_m_axi_gp0_WDATA(31 downto 0),
      S00_AXI_wid(11 downto 0) => processing_system7_1_m_axi_gp0_WID(11 downto 0),
      S00_AXI_wlast => processing_system7_1_m_axi_gp0_WLAST,
      S00_AXI_wready => processing_system7_1_m_axi_gp0_WREADY,
      S00_AXI_wstrb(3 downto 0) => processing_system7_1_m_axi_gp0_WSTRB(3 downto 0),
      S00_AXI_wvalid => processing_system7_1_m_axi_gp0_WVALID
    );
end STRUCTURE;
